=== modified file 'drizzled/drizzled.cc'
--- drizzled/drizzled.cc	2008-12-16 23:22:36 +0000
+++ drizzled/drizzled.cc	2008-12-16 23:30:01 +0000
@@ -627,9 +627,9 @@
       if (global_system_variables.log_warnings)
         sql_print_warning(ER(ER_FORCING_CLOSE),my_progname,
                           tmp->thread_id,
-                          (tmp->main_security_ctx.user ?
-                           tmp->main_security_ctx.user : ""));
-      close_connection(tmp,0,0);
+                          (tmp->security_ctx.user.c_str() ?
+                           tmp->security_ctx.user.c_str() : ""));
+      tmp->close_connection(0,0);
     }
     (void) pthread_mutex_unlock(&LOCK_thread_count);
   }
@@ -640,8 +640,6 @@
     (void) pthread_cond_wait(&COND_thread_count,&LOCK_thread_count);
   }
   (void) pthread_mutex_unlock(&LOCK_thread_count);
-
-  return;;
 }
 
 
@@ -2518,7 +2516,7 @@
   {
     pthread_mutex_unlock(&LOCK_connection_count);
 
-    close_connection(session, ER_CON_COUNT_ERROR, 1);
+    session->close_connection(ER_CON_COUNT_ERROR, 1);
     delete session;
     return;;
   }
@@ -2544,8 +2542,6 @@
   thread_count++;
 
   thread_scheduler.add_connection(session);
-
-  return;;
 }
 
 
@@ -2620,17 +2616,17 @@
       new_sock= accept(sock, (struct sockaddr *)(&cAddr),
                        &length);
       if (new_sock != -1 || (errno != EINTR && errno != EAGAIN))
-	break;
+        break;
     }
 
 
     if (new_sock == -1)
     {
       if ((error_count++ & 255) == 0)		// This can happen often
-	sql_perror("Error in accept");
+        sql_perror("Error in accept");
       MAYBE_BROKEN_SYSCALL;
       if (errno == ENFILE || errno == EMFILE)
-	sleep(1);				// Give other threads some time
+        sleep(1);				// Give other threads some time
       continue;
     }
 
@@ -2693,7 +2689,7 @@
   OPT_BIND_ADDRESS,            OPT_PID_FILE,
   OPT_SKIP_PRIOR,
   OPT_STANDALONE,
-  OPT_CONSOLE,                 OPT_LOW_PRIORITY_UPDATES,
+  OPT_CONSOLE,
   OPT_SHORT_LOG_FORMAT,
   OPT_FLUSH,                   OPT_SAFE,
   OPT_STORAGE_ENGINE,          OPT_INIT_FILE,
@@ -3006,11 +3002,6 @@
    (char**) &global_system_variables.log_warnings,
    (char**) &max_system_variables.log_warnings, 0, GET_ULONG, OPT_ARG, 1, 0, 0,
    0, 0, 0},
-  {"low-priority-updates", OPT_LOW_PRIORITY_UPDATES,
-   N_("INSERT/DELETE/UPDATE has lower priority than selects."),
-   (char**) &global_system_variables.low_priority_updates,
-   (char**) &max_system_variables.low_priority_updates,
-   0, GET_BOOL, NO_ARG, 0, 0, 0, 0, 0, 0},
   {"master-info-file", OPT_MASTER_INFO_FILE,
    N_("The location and name of the file that remembers the master and "
       "where the I/O replication thread is in the master's binlogs."),
@@ -4114,10 +4105,6 @@
     if (opt_console)
       opt_error_log= 0;			// Force logs to stdout
     break;
-  case OPT_LOW_PRIORITY_UPDATES:
-    thr_upgraded_concurrent_insert_lock= TL_WRITE_LOW_PRIORITY;
-    global_system_variables.low_priority_updates=1;
-    break;
   case OPT_SERVER_ID:
     server_id_supplied = 1;
     break;

=== modified file 'drizzled/function/str/user.cc'
--- drizzled/function/str/user.cc	2008-12-12 20:40:37 +0000
+++ drizzled/function/str/user.cc	2008-12-16 06:33:48 +0000
@@ -54,8 +54,8 @@
 bool Item_func_user::fix_fields(Session *session, Item **ref)
 {
   return (Item_func_sysconst::fix_fields(session, ref) ||
-          init(session->main_security_ctx.user,
-               session->main_security_ctx.ip));
+          init(session->security_ctx.user.c_str(),
+               session->security_ctx.ip.c_str()));
 }
 
 
@@ -64,9 +64,8 @@
   if (Item_func_sysconst::fix_fields(session, ref))
     return true;
 
-  Security_context *ctx=
-                         session->security_ctx;
-  return init(ctx->user, ctx->ip);
+  Security_context *ctx= &session->security_ctx;
+  return init(ctx->user.c_str(), ctx->ip.c_str());
 }
 
 

=== modified file 'drizzled/scheduler.cc'
--- drizzled/scheduler.cc	2008-12-15 21:57:36 +0000
+++ drizzled/scheduler.cc	2008-12-16 05:27:55 +0000
@@ -430,7 +430,7 @@
   if (net_get_sd(&(session->net)) >= 0)                  // not already closed
   {
     end_connection(session);
-    close_connection(session, 0, 1);
+    session->close_connection(0, 1);
   }
   session->scheduler.thread_detach();
   unlink_session(session);   /* locks LOCK_thread_count and deletes session */

=== modified file 'drizzled/session.cc'
--- drizzled/session.cc	2008-12-16 06:44:47 +0000
+++ drizzled/session.cc	2008-12-16 22:12:53 +0000
@@ -499,8 +499,6 @@
   init_sql_alloc(&main_mem_root, ALLOC_ROOT_MIN_BLOCK_SIZE, 0);
   thread_stack= 0;
   catalog= (char*)"std"; // the only catalog we have for now
-  main_security_ctx.init();
-  security_ctx= &main_security_ctx;
   some_tables_deleted=no_errors=password= 0;
   query_start_used= 0;
   count_cuted_fields= CHECK_FIELD_IGNORE;
@@ -678,9 +676,7 @@
 
   transaction.all.modified_non_trans_table= transaction.stmt.modified_non_trans_table= false;
   open_options=ha_open_options;
-  update_lock_default= (variables.low_priority_updates ?
-			TL_WRITE_LOW_PRIORITY :
-			TL_WRITE);
+  update_lock_default= TL_WRITE;
   session_tx_isolation= (enum_tx_isolation) variables.tx_isolation;
   warn_list.empty();
   memset(warn_count, 0, sizeof(warn_count));
@@ -768,7 +764,6 @@
   ha_close_connection(this);
   plugin_sessionvar_cleanup(this);
 
-  main_security_ctx.destroy();
   if (db)
   {
     free(db);
@@ -2174,29 +2169,6 @@
   memset(&status_var, 0, sizeof(status_var));
 }
 
-
-void Security_context::init()
-{
-  user= ip= 0;
-}
-
-
-void Security_context::destroy()
-{
-  // If not pointer to constant
-  if (user)
-  {
-    free(user);
-    user= NULL;
-  }
-  if (ip)
-  {
-    free(ip);
-    ip= NULL;
-  }
-}
-
-
 void Security_context::skip_grants()
 {
   /* privileges for the user are unknown everything is allowed */
@@ -2568,19 +2540,18 @@
   @note
     For the connection that is doing shutdown, this is called twice
 */
-void close_connection(Session *session, uint32_t errcode, bool lock)
+void Session::close_connection(uint32_t errcode, bool lock)
 {
   st_vio *vio;
   if (lock)
     (void) pthread_mutex_lock(&LOCK_thread_count);
-  session->killed= Session::KILL_CONNECTION;
-  if ((vio= session->net.vio) != 0)
+  killed= Session::KILL_CONNECTION;
+  if ((vio= net.vio) != 0)
   {
     if (errcode)
-      net_send_error(session, errcode, ER(errcode)); /* purecov: inspected */
-    net_close(&(session->net));		/* vio is freed in delete session */
+      net_send_error(this, errcode, ER(errcode)); /* purecov: inspected */
+    net_close(&net);		/* vio is freed in delete session */
   }
   if (lock)
     (void) pthread_mutex_unlock(&LOCK_thread_count);
-  return;;
 }

=== modified file 'drizzled/session.h'
--- drizzled/session.h	2008-12-15 06:30:20 +0000
+++ drizzled/session.h	2008-12-16 06:33:48 +0000
@@ -35,6 +35,7 @@
 #include <drizzled/handler.h>
 #include <drizzled/current_session.h>
 #include <drizzled/sql_error.h>
+#include <string>
 #include <bitset>
 
 class Relay_log_info;
@@ -497,9 +498,10 @@
   @brief A set of Session members describing the current authenticated user.
 */
 
+using namespace std;
 class Security_context {
 public:
-  Security_context() {}                       /* Remove gcc warning */
+  Security_context() {}
   /*
     host - host of the client
     user - user of the client, set to NULL until the user has been read from
@@ -507,15 +509,13 @@
     priv_user - The user privilege we are using. May be "" for anonymous user.
     ip - client IP
   */
-  char *user;
-  char *ip;
+  string user;
+  string ip;
 
-  void init();
-  void destroy();
   void skip_grants();
-  inline char *priv_host_name()
+  inline const char *priv_host_name()
   {
-    return (ip ? ip : (char *)"%");
+    return (ip.c_str() ? ip.c_str() : (char *)"%");
   }
 };
 
@@ -880,8 +880,7 @@
     @see handle_slave_sql
   */
 
-  Security_context main_security_ctx;
-  Security_context *security_ctx;
+  Security_context security_ctx;
 
   /*
     Points to info-string that we show in SHOW PROCESSLIST
@@ -1313,7 +1312,6 @@
     alloc_root.
   */
   void init_for_queries();
-  void change_user(void);
   void cleanup(void);
   void cleanup_after_query();
   bool store_globals();
@@ -1557,6 +1555,11 @@
   */
   void pop_internal_handler();
 
+  /**
+    Close the current connection.
+  */
+  void close_connection(uint32_t errcode, bool lock);
+
 private:
   const char *proc_info;
 
@@ -2233,8 +2236,6 @@
 void add_diff_to_status(STATUS_VAR *to_var, STATUS_VAR *from_var,
                         STATUS_VAR *dec_var);
 
-void close_connection(Session *session, uint32_t errcode, bool lock);
-
 /* Some inline functions for more speed */
 
 inline bool add_item_to_list(Session *session, Item *item)

=== modified file 'drizzled/set_var.cc'
--- drizzled/set_var.cc	2008-12-16 23:22:36 +0000
+++ drizzled/set_var.cc	2008-12-16 23:30:01 +0000
@@ -108,7 +108,6 @@
 static bool set_option_autocommit(Session *session, set_var *var);
 static int  check_log_update(Session *session, set_var *var);
 static int  check_pseudo_thread_id(Session *session, set_var *var);
-static void fix_low_priority_updates(Session *session, enum_var_type type);
 static int check_tx_isolation(Session *session, set_var *var);
 static void fix_tx_isolation(Session *session, enum_var_type type);
 static int check_completion_type(Session *session, set_var *var);
@@ -208,14 +207,6 @@
                                                                     param_age_threshold));
 static sys_var_bool_ptr	sys_local_infile(&vars, "local_infile",
                                          &opt_local_infile);
-static sys_var_session_bool	sys_low_priority_updates(&vars, "low_priority_updates",
-                                                     &SV::low_priority_updates,
-                                                     fix_low_priority_updates);
-#ifndef TO_BE_DELETED	/* Alias for the low_priority_updates */
-static sys_var_session_bool	sys_sql_low_priority_updates(&vars, "sql_low_priority_updates",
-                                                         &SV::low_priority_updates,
-                                                         fix_low_priority_updates);
-#endif
 static sys_var_session_uint32_t	sys_max_allowed_packet(&vars, "max_allowed_packet",
                                                        &SV::max_allowed_packet);
 static sys_var_long_ptr	sys_max_binlog_cache_size(&vars, "max_binlog_cache_size",
@@ -603,23 +594,6 @@
 }
 
 
-/**
-  If one sets the LOW_PRIORIY UPDATES flag, we also must change the
-  used lock type.
-*/
-
-static void fix_low_priority_updates(Session *session, enum_var_type type)
-{
-  if (type == OPT_GLOBAL)
-    thr_upgraded_concurrent_insert_lock=
-      (global_system_variables.low_priority_updates ?
-       TL_WRITE_LOW_PRIORITY : TL_WRITE);
-  else
-    session->update_lock_default= (session->variables.low_priority_updates ?
-			       TL_WRITE_LOW_PRIORITY : TL_WRITE);
-}
-
-
 static void
 fix_myisam_max_sort_file_size(Session *, enum_var_type)
 {

=== modified file 'drizzled/show.cc'
--- drizzled/show.cc	2008-12-16 00:34:28 +0000
+++ drizzled/show.cc	2008-12-16 06:33:48 +0000
@@ -1158,17 +1158,17 @@
     Session *tmp;
     while ((tmp=it++))
     {
-      Security_context *tmp_sctx= tmp->security_ctx;
+      Security_context *tmp_sctx= &tmp->security_ctx;
       struct st_my_thread_var *mysys_var;
-      if ((tmp->vio_ok() || tmp->system_thread) && (!user || (tmp_sctx->user && !strcmp(tmp_sctx->user, user))))
+      if ((tmp->vio_ok() || tmp->system_thread) && (!user || (tmp_sctx->user.c_str() && !strcmp(tmp_sctx->user.c_str(), user))))
       {
         thread_info *session_info= new thread_info;
 
         session_info->thread_id=tmp->thread_id;
-        session_info->user= session->strdup(tmp_sctx->user ? tmp_sctx->user :
+        session_info->user= session->strdup(tmp_sctx->user.c_str() ? tmp_sctx->user.c_str() :
                                     (tmp->system_thread ?
                                      "system user" : "unauthenticated user"));
-        session_info->host= session->strdup(tmp_sctx->ip);
+        session_info->host= session->strdup(tmp_sctx->ip.c_str());
         if ((session_info->db=tmp->db))             // Safe test
           session_info->db=session->strdup(session_info->db);
         session_info->command=(int) tmp->command;
@@ -1249,7 +1249,7 @@
 
     while ((tmp= it++))
     {
-      Security_context *tmp_sctx= tmp->security_ctx;
+      Security_context *tmp_sctx= &tmp->security_ctx;
       struct st_my_thread_var *mysys_var;
       const char *val;
 
@@ -1260,11 +1260,11 @@
       /* ID */
       table->field[0]->store((int64_t) tmp->thread_id, true);
       /* USER */
-      val= tmp_sctx->user ? tmp_sctx->user :
+      val= tmp_sctx->user.c_str() ? tmp_sctx->user.c_str() :
             (tmp->system_thread ? "system user" : "unauthenticated user");
       table->field[1]->store(val, strlen(val), cs);
       /* HOST */
-      table->field[2]->store(tmp_sctx->ip, strlen(tmp_sctx->ip), cs);
+      table->field[2]->store(tmp_sctx->ip.c_str(), strlen(tmp_sctx->ip.c_str()), cs);
       /* DB */
       if (tmp->db)
       {

=== modified file 'drizzled/slave.cc'
--- drizzled/slave.cc	2008-12-15 07:27:18 +0000
+++ drizzled/slave.cc	2008-12-16 06:33:48 +0000
@@ -1328,7 +1328,7 @@
   int32_t simulate_error= 0;
   session->system_thread = (session_type == SLAVE_Session_SQL) ?
     SYSTEM_THREAD_SLAVE_SQL : SYSTEM_THREAD_SLAVE_IO;
-  session->security_ctx->skip_grants();
+  session->security_ctx.skip_grants();
   my_net_init(&session->net, 0);
 /*
   Adding MAX_LOG_EVENT_HEADER_LEN to the max_allowed_packet on all

=== modified file 'drizzled/sql_connect.cc'
--- drizzled/sql_connect.cc	2008-12-10 18:33:08 +0000
+++ drizzled/sql_connect.cc	2008-12-16 06:33:48 +0000
@@ -105,7 +105,7 @@
 
   if (passwd_len != 0 && passwd_len != SCRAMBLE_LENGTH)
   {
-    my_error(ER_HANDSHAKE_ERROR, MYF(0), session->main_security_ctx.ip);
+    my_error(ER_HANDSHAKE_ERROR, MYF(0), session->security_ctx.ip.c_str());
     return(1);
   }
 
@@ -114,8 +114,8 @@
   if (is_authenticated != true)
   {
     my_error(ER_ACCESS_DENIED_ERROR, MYF(0),
-             session->main_security_ctx.user,
-             session->main_security_ctx.ip,
+             session->security_ctx.user.c_str(),
+             session->security_ctx.ip.c_str(),
              passwd_len ? ER(ER_YES) : ER(ER_NO));
 
     return 1;
@@ -123,7 +123,7 @@
 
 
   USER_RESOURCES ur;
-  session->security_ctx->skip_grants();
+  session->security_ctx.skip_grants();
   memset(&ur, 0, sizeof(USER_RESOURCES));
 
   if (check_count)
@@ -242,11 +242,11 @@
 
     if (net_peer_addr(net, ip, &session->peer_port, NI_MAXHOST))
     {
-      my_error(ER_BAD_HOST_ERROR, MYF(0), session->main_security_ctx.ip);
+      my_error(ER_BAD_HOST_ERROR, MYF(0), session->security_ctx.ip.c_str());
       return 1;
     }
-    if (!(session->main_security_ctx.ip= strdup(ip)))
-      return 1; /* The error is set by strdup(). */
+
+    session->security_ctx.ip.assign(ip);
   }
   net_keepalive(net, true);
 
@@ -299,7 +299,7 @@
 	pkt_len < MIN_HANDSHAKE_SIZE)
     {
       my_error(ER_HANDSHAKE_ERROR, MYF(0),
-               session->main_security_ctx.ip);
+               session->security_ctx.ip.c_str());
       return 1;
     }
   }
@@ -324,7 +324,7 @@
   if (end >= (char*) net->read_pos+ pkt_len +2)
   {
 
-    my_error(ER_HANDSHAKE_ERROR, MYF(0), session->main_security_ctx.ip);
+    my_error(ER_HANDSHAKE_ERROR, MYF(0), session->security_ctx.ip.c_str());
     return 1;
   }
 
@@ -361,7 +361,7 @@
 
   if (passwd + passwd_len + db_len > (char *)net->read_pos + pkt_len)
   {
-    my_error(ER_HANDSHAKE_ERROR, MYF(0), session->main_security_ctx.ip);
+    my_error(ER_HANDSHAKE_ERROR, MYF(0), session->security_ctx.ip.c_str());
     return 1;
   }
 
@@ -388,11 +388,8 @@
     user_len-= 2;
   }
 
-  if (session->main_security_ctx.user)
-    if (session->main_security_ctx.user)
-      free(session->main_security_ctx.user);
-  if (!(session->main_security_ctx.user= strdup(user)))
-    return 1; /* The error is set by strdup(). */
+  session->security_ctx.user.assign(user);
+
   return check_user(session, passwd, passwd_len, db, true);
 }
 
@@ -414,7 +411,7 @@
 {
   if (session->store_globals())
   {
-    close_connection(session, ER_OUT_OF_RESOURCES, 1);
+    session->close_connection(ER_OUT_OF_RESOURCES, true);
     statistic_increment(aborted_connects,&LOCK_status);
     thread_scheduler.end_thread(session, 0);
     return 1;                                   // Error
@@ -486,12 +483,12 @@
   {
     if (!session->killed && session->variables.log_warnings > 1)
     {
-      Security_context *sctx= session->security_ctx;
+      Security_context *sctx= &session->security_ctx;
 
       sql_print_warning(ER(ER_NEW_ABORTING_CONNECTION),
                         session->thread_id,(session->db ? session->db : "unconnected"),
-                        sctx->user ? sctx->user : "unauthenticated",
-                        sctx->ip,
+                        sctx->user.empty() == false ? sctx->user.c_str() : "unauthenticated",
+                        sctx->ip.c_str(),
                         (session->main_da.is_error() ? session->main_da.message() :
                          ER(ER_UNKNOWN_ERROR)));
     }
@@ -505,7 +502,7 @@
 
 void prepare_new_connection_state(Session* session)
 {
-  Security_context *sctx= session->security_ctx;
+  Security_context *sctx= &session->security_ctx;
 
   if (session->variables.max_join_size == HA_POS_ERROR)
     session->options |= OPTION_BIG_SELECTS;
@@ -532,8 +529,8 @@
       session->killed= Session::KILL_CONNECTION;
       sql_print_warning(ER(ER_NEW_ABORTING_CONNECTION),
                         session->thread_id,(session->db ? session->db : "unconnected"),
-                        sctx->user ? sctx->user : "unauthenticated",
-                        sctx->ip, "init_connect command failed");
+                        sctx->user.empty() == false ? sctx->user.c_str() : "unauthenticated",
+                        sctx->ip.c_str(), "init_connect command failed");
       sql_print_warning("%s", session->main_da.message());
     }
     session->set_proc_info(0);
@@ -568,7 +565,7 @@
 
   if (thread_scheduler.init_new_connection_thread())
   {
-    close_connection(session, ER_OUT_OF_RESOURCES, 1);
+    session->close_connection(ER_OUT_OF_RESOURCES, true);
     statistic_increment(aborted_connects,&LOCK_status);
     thread_scheduler.end_thread(session,0);
     return 0;
@@ -606,8 +603,8 @@
     end_connection(session);
 
 end_thread:
-    close_connection(session, 0, 1);
-    if (thread_scheduler.end_thread(session,1))
+    session->close_connection(NULL, true);
+    if (thread_scheduler.end_thread(session, 1))
       return 0;                                 // Probably no-threads
 
     /*

=== modified file 'drizzled/sql_parse.cc'
--- drizzled/sql_parse.cc	2008-12-16 23:22:36 +0000
+++ drizzled/sql_parse.cc	2008-12-16 23:30:01 +0000
@@ -516,8 +516,8 @@
                       (unsigned char)(*passwd++) : strlen(passwd));
     uint32_t dummy_errors, save_db_length, db_length;
     int res;
-    Security_context save_security_ctx= *session->security_ctx;
     USER_CONN *save_user_connect;
+    string old_username;
 
     db+= passwd_len + 1;
     /*
@@ -556,12 +556,8 @@
     save_db= session->db;
     save_user_connect= session->user_connect;
 
-    if (!(session->security_ctx->user= strdup(user)))
-    {
-      session->security_ctx->user= save_security_ctx.user;
-      my_message(ER_OUT_OF_RESOURCES, ER(ER_OUT_OF_RESOURCES), MYF(0));
-      break;
-    }
+    old_username= session->security_ctx.user;
+    session->security_ctx.user.assign(user);
 
     /* Clear variables that are allocated */
     session->user_connect= 0;
@@ -569,9 +565,7 @@
 
     if (res)
     {
-      if (session->security_ctx->user)
-        free(session->security_ctx->user);
-      *session->security_ctx= save_security_ctx;
+      session->security_ctx.user= old_username;
       session->user_connect= save_user_connect;
       session->db= save_db;
       session->db_length= save_db_length;
@@ -580,8 +574,6 @@
     {
       if (save_db)
         free(save_db);
-      if (save_security_ctx.user)
-        free(save_security_ctx.user);
 
       if (cs_number)
       {
@@ -2364,7 +2356,6 @@
     session->options&= ~OPTION_KEEP_LOG;
     session->transaction.all.modified_non_trans_table= false;
   }
-  assert(session->security_ctx== &session->main_security_ctx);
   session->thread_specific_used= false;
 
   if (opt_bin_log)

=== modified file 'drizzled/sql_yacc.yy'
--- drizzled/sql_yacc.yy	2008-12-13 00:15:23 +0000
+++ drizzled/sql_yacc.yy	2008-12-16 22:12:53 +0000
@@ -4924,14 +4924,14 @@
           {
             $$= TL_WRITE_CONCURRENT_INSERT;
           }
-        | LOW_PRIORITY  { $$= TL_WRITE_LOW_PRIORITY; }
-        | DELAYED_SYM   { $$= TL_WRITE_LOW_PRIORITY; }
+        | LOW_PRIORITY  { $$= TL_WRITE_DEFAULT; }
+        | DELAYED_SYM   { $$= TL_WRITE_DEFAULT; }
         | HIGH_PRIORITY { $$= TL_WRITE; }
         ;
 
 replace_lock_option:
           opt_low_priority { $$= $1; }
-        | DELAYED_SYM { $$= TL_WRITE_LOW_PRIORITY; }
+        | DELAYED_SYM { $$= TL_WRITE_DEFAULT; }
         ;
 
 insert2:
@@ -5115,7 +5115,7 @@
 
 opt_low_priority:
           /* empty */ { $$= TL_WRITE_DEFAULT; }
-        | LOW_PRIORITY { $$= TL_WRITE_LOW_PRIORITY; }
+        | LOW_PRIORITY { $$= TL_WRITE_DEFAULT; }
         ;
 
 /* Delete rows from a table */
@@ -5195,7 +5195,7 @@
 
 opt_delete_option:
           QUICK        { Select->options|= OPTION_QUICK; }
-        | LOW_PRIORITY { Lex->lock_option= TL_WRITE_LOW_PRIORITY; }
+        | LOW_PRIORITY { Lex->lock_option= TL_WRITE_DEFAULT; }
         | IGNORE_SYM   { Lex->ignore= 1; }
         ;
 
@@ -5594,7 +5594,7 @@
           {
               $$= TL_WRITE_CONCURRENT_INSERT;
           }
-        | LOW_PRIORITY { $$= TL_WRITE_LOW_PRIORITY; }
+        | LOW_PRIORITY { $$= TL_WRITE_DEFAULT; }
         ;
 
 opt_duplicate:
@@ -6618,7 +6618,7 @@
         }
         | LOW_PRIORITY WRITE_SYM
         {
-          $$.lock_type=          TL_WRITE_LOW_PRIORITY;
+          $$.lock_type=          TL_WRITE_DEFAULT;
           $$.lock_timeout=       -1;
           $$.lock_transactional= false;
         }

=== modified file 'plugin/auth_pam/auth_pam.cc'
--- plugin/auth_pam/auth_pam.cc	2008-12-06 19:42:46 +0000
+++ plugin/auth_pam/auth_pam.cc	2008-12-16 06:33:48 +0000
@@ -77,7 +77,7 @@
   struct pam_conv conv_info= { &auth_pam_talker, (void*)&userinfo };
   pam_handle_t *pamh= NULL;
 
-  userinfo.name= session->main_security_ctx.user;
+  userinfo.name= session->security_ctx.user.c_str();
   userinfo.password= password;
 
   retval= pam_start("check_user", userinfo.name, &conv_info, &pamh);

=== renamed file 'tests/suite/broken/r/errors.result' => 'tests/r/errors.result'
--- tests/suite/broken/r/errors.result	2008-06-25 05:29:13 +0000
+++ tests/r/errors.result	2008-12-16 07:07:50 +0000
@@ -24,11 +24,9 @@
 ERROR 42S22: Unknown column 'b' in 'field list'
 drop table t1;
 create table t1 (a int(256));
-ERROR 42000: Display width out of range for column 'a' (max = 255)
-set sql_mode='traditional';
+ERROR 42000: You have an error in your SQL syntax; check the manual that corresponds to your Drizzle server version for the right syntax to use near '(256))' at line 1
 create table t1 (a varchar(66000));
-ERROR 42000: Column length too big for column 'a' (max = 65535); use BLOB or TEXT instead
-set sql_mode=default;
+ERROR 42000: Column length too big for column 'a' (max = 16383); use BLOB or TEXT instead
 CREATE TABLE t1 (a INT);
 SELECT a FROM t1 WHERE a IN(1, (SELECT IF(1=0,1,2/0)));
 a
@@ -40,6 +38,9 @@
 SELECT a FROM t1 WHERE a IN(1, (SELECT IF(1=0,1,2/0)));
 a
 1
+Warnings:
+Error	1365	Division by 0
+Error	1365	Division by 0
 DROP TABLE t1;
 CREATE TABLE t1( a INT );
 SELECT b FROM t1;

=== renamed file 'tests/suite/broken/r/func_system.result' => 'tests/r/func_system.result'
--- tests/suite/broken/r/func_system.result	2008-06-25 05:29:13 +0000
+++ tests/r/func_system.result	2008-12-16 17:15:24 +0000
@@ -1,89 +1,57 @@
 select database();
 database()
 test
-select charset(database());
-charset(database())
-utf8
 select database() = "test";
 database() = "test"
 1
 select database() = _utf8"test";
 database() = _utf8"test"
 1
-select database() = _latin1"test";
-database() = _latin1"test"
-1
 select user() like "%@%";
 user() like "%@%"
 1
 select user() like _utf8"%@%";
 user() like _utf8"%@%"
 1
-select user() like _latin1"%@%";
-user() like _latin1"%@%"
-1
-select charset(user());
-charset(user())
-utf8
 select version()>="3.23.29";
 version()>="3.23.29"
 1
 select version()>=_utf8"3.23.29";
 version()>=_utf8"3.23.29"
 1
-select version()>=_latin1"3.23.29";
-version()>=_latin1"3.23.29"
-1
-select charset(version());
-charset(version())
-utf8
 explain extended select database(), user();
 id	select_type	table	type	possible_keys	key	key_len	ref	rows	filtered	Extra
 1	SIMPLE	NULL	NULL	NULL	NULL	NULL	NULL	NULL	NULL	No tables used
 Warnings:
-Note	1003	select database() AS "database()",user() AS "user()"
+Note	1003	select database() AS `database()`,user() AS `user()`
 create table t1 (version char(60)) select database(), user(), version() as 'version';
 show create table t1;
 Table	Create Table
-t1	CREATE TABLE "t1" (
-  "database()" varchar(34) CHARACTER SET utf8,
-  "user()" varchar(77) CHARACTER SET utf8 NOT NULL,
-  "version" char(60)
-) ENGINE=MyISAM DEFAULT CHARSET=latin1
-drop table t1;
-select charset(charset(_utf8'a')), charset(collation(_utf8'a'));
-charset(charset(_utf8'a'))	charset(collation(_utf8'a'))
-utf8	utf8
-select collation(charset(_utf8'a')), collation(collation(_utf8'a'));
-collation(charset(_utf8'a'))	collation(collation(_utf8'a'))
-utf8_general_ci	utf8_general_ci
-create table t1 select charset(_utf8'a'), collation(_utf8'a');
-show create table t1;
-Table	Create Table
-t1	CREATE TABLE "t1" (
-  "charset(_utf8'a')" varchar(64) CHARACTER SET utf8 NOT NULL,
-  "collation(_utf8'a')" varchar(64) CHARACTER SET utf8 NOT NULL
-) ENGINE=MyISAM DEFAULT CHARSET=latin1
+t1	CREATE TABLE `t1` (
+  `database()` varchar(34),
+  `user()` varchar(77),
+  `version` varchar(60)
+) ENGINE=InnoDB
 drop table t1;
 select TRUE,FALSE,NULL;
 TRUE	FALSE	NULL
 1	0	NULL
-create table t1 (c1 char(5)) character set=latin1;
+create table t1 (c1 char(5));
 insert into t1 values('row 1');
 insert into t1 values('row 2');
 insert into t1 values('row 3');
-select concat(user(), '--', c1) from t1;
-concat(user(), '--', c1)
-root@--row 1
-root@--row 2
-root@--row 3
+select concat(SUBSTRING(user(), 0, 4), '--', c1) from t1;
+concat(SUBSTRING(user(), 0, 4), '--', c1)
+--row 1
+--row 2
+--row 3
 select concat(database(), '--', c1) from t1;
 concat(database(), '--', c1)
 test--row 1
 test--row 2
 test--row 3
 drop table t1;
-create table t1 (a char(10)) character set latin1;
+create table t1 (a char(10));
 select * from t1 where a=version();
 a
 select * from t1 where a=database();

=== renamed file 'tests/suite/broken/r/func_test.result' => 'tests/r/func_test.result'
--- tests/suite/broken/r/func_test.result	2008-06-25 05:29:13 +0000
+++ tests/r/func_test.result	2008-12-16 07:48:05 +0000
@@ -20,15 +20,6 @@
 select 'abc' like '%c','abcabc' like '%c',  "ab" like "", "ab" like "a", "ab" like "ab";
 'abc' like '%c'	'abcabc' like '%c'	"ab" like ""	"ab" like "a"	"ab" like "ab"
 1	1	0	0	1
-select "Det hr r svenska" regexp "h[[:alpha:]]+r", "aba" regexp "^(a|b)*$";
-"Det hr r svenska" regexp "h[[:alpha:]]+r"	"aba" regexp "^(a|b)*$"
-1	1
-select "aba" regexp concat("^","a");
-"aba" regexp concat("^","a")
-1
-select !0,NOT 0=1,!(0=0),1 AND 1,1 && 0,0 OR 1,1 || NULL, 1=1 or 1=1 and 1=0;
-!0	NOT 0=1	!(0=0)	1 AND 1	1 && 0	0 OR 1	1 || NULL	1=1 or 1=1 and 1=0
-1	1	0	1	0	1	1	1
 select 2 between 1 and 3, "monty" between "max" and "my",2=2 and "monty" between "max" and "my" and 3=3;
 2 between 1 and 3	"monty" between "max" and "my"	2=2 and "monty" between "max" and "my" and 3=3
 1	1	1
@@ -41,20 +32,6 @@
 select -1.49 or -1.49,0.6 or 0.6;
 -1.49 or -1.49	0.6 or 0.6
 1	1
-select 3 ^ 11, 1 ^ 1, 1 ^ 0, 1 ^ NULL, NULL ^ 1;
-3 ^ 11	1 ^ 1	1 ^ 0	1 ^ NULL	NULL ^ 1
-8	0	1	NULL	NULL
-explain extended select 3 ^ 11, 1 ^ 1, 1 ^ 0, 1 ^ NULL, NULL ^ 1;
-id	select_type	table	type	possible_keys	key	key_len	ref	rows	filtered	Extra
-1	SIMPLE	NULL	NULL	NULL	NULL	NULL	NULL	NULL	NULL	No tables used
-Warnings:
-Note	1003	select (3 ^ 11) AS `3 ^ 11`,(1 ^ 1) AS `1 ^ 1`,(1 ^ 0) AS `1 ^ 0`,(1 ^ NULL) AS `1 ^ NULL`,(NULL ^ 1) AS `NULL ^ 1`
-select 1 XOR 1, 1 XOR 0, 0 XOR 1, 0 XOR 0, NULL XOR 1, 1 XOR NULL, 0 XOR NULL;
-1 XOR 1	1 XOR 0	0 XOR 1	0 XOR 0	NULL XOR 1	1 XOR NULL	0 XOR NULL
-0	1	1	0	NULL	NULL	NULL
-select 1 like 2 xor 2 like 1;
-1 like 2 xor 2 like 1
-0
 select 10 % 7, 10 mod 7, 10 div 3;
 10 % 7	10 mod 7	10 div 3
 3	3	3
@@ -63,14 +40,6 @@
 1	SIMPLE	NULL	NULL	NULL	NULL	NULL	NULL	NULL	NULL	No tables used
 Warnings:
 Note	1003	select (10 % 7) AS `10 % 7`,(10 % 7) AS `10 mod 7`,(10 DIV 3) AS `10 div 3`
-select (1 << 64)-1, ((1 << 64)-1) DIV 1, ((1 << 64)-1) DIV 2;
-(1 << 64)-1	((1 << 64)-1) DIV 1	((1 << 64)-1) DIV 2
-18446744073709551615	18446744073709551615	9223372036854775807
-explain extended select (1 << 64)-1, ((1 << 64)-1) DIV 1, ((1 << 64)-1) DIV 2;
-id	select_type	table	type	possible_keys	key	key_len	ref	rows	filtered	Extra
-1	SIMPLE	NULL	NULL	NULL	NULL	NULL	NULL	NULL	NULL	No tables used
-Warnings:
-Note	1003	select ((1 << 64) - 1) AS `(1 << 64)-1`,(((1 << 64) - 1) DIV 1) AS `((1 << 64)-1) DIV 1`,(((1 << 64) - 1) DIV 2) AS `((1 << 64)-1) DIV 2`
 create table t1 (a int);
 insert t1 values (1);
 select * from t1 where 1 xor 1;
@@ -81,13 +50,13 @@
 Warnings:
 Note	1003	select `test`.`t1`.`a` AS `a` from `test`.`t1` where 0
 select - a from t1;
-- a
+- a 
 -1
 explain extended select - a from t1;
 id	select_type	table	type	possible_keys	key	key_len	ref	rows	filtered	Extra
-1	SIMPLE	t1	system	NULL	NULL	NULL	NULL	1	100.00	
+1	SIMPLE	t1	ALL	NULL	NULL	NULL	NULL	1	100.00	
 Warnings:
-Note	1003	select -('1') AS `- a` from `test`.`t1`
+Note	1003	select -(`test`.`t1`.`a`) AS `- a ` from `test`.`t1`
 drop table t1;
 select 5 between 0 and 10 between 0 and 1,(5 between 0 and 10) between 0 and 1;
 5 between 0 and 10 between 0 and 1	(5 between 0 and 10) between 0 and 1
@@ -98,71 +67,9 @@
 select 1 and 0 or 2, 2 or 1 and 0;
 1 and 0 or 2	2 or 1 and 0
 1	1
-select _koi8r'a' = _koi8r'A';
-_koi8r'a' = _koi8r'A'
-1
-select _koi8r'a' = _koi8r'A' COLLATE koi8r_general_ci;
-_koi8r'a' = _koi8r'A' COLLATE koi8r_general_ci
-1
-explain extended select _koi8r'a' = _koi8r'A' COLLATE koi8r_general_ci;
-id	select_type	table	type	possible_keys	key	key_len	ref	rows	filtered	Extra
-1	SIMPLE	NULL	NULL	NULL	NULL	NULL	NULL	NULL	NULL	No tables used
-Warnings:
-Note	1003	select (_koi8r'a' = (_koi8r'A' collate koi8r_general_ci)) AS `_koi8r'a' = _koi8r'A' COLLATE koi8r_general_ci`
-select _koi8r'a' = _koi8r'A' COLLATE koi8r_bin;
-_koi8r'a' = _koi8r'A' COLLATE koi8r_bin
-0
-select _koi8r'a' COLLATE koi8r_general_ci = _koi8r'A';
-_koi8r'a' COLLATE koi8r_general_ci = _koi8r'A'
-1
-select _koi8r'a' COLLATE koi8r_bin = _koi8r'A';
-_koi8r'a' COLLATE koi8r_bin = _koi8r'A'
-0
-select _koi8r'a' COLLATE koi8r_bin = _koi8r'A' COLLATE koi8r_general_ci;
-ERROR HY000: Illegal mix of collations (koi8r_bin,EXPLICIT) and (koi8r_general_ci,EXPLICIT) for operation '='
-select _koi8r'a' = _latin1'A';
-ERROR HY000: Illegal mix of collations (koi8r_general_ci,COERCIBLE) and (latin1_swedish_ci,COERCIBLE) for operation '='
-select strcmp(_koi8r'a', _koi8r'A');
-strcmp(_koi8r'a', _koi8r'A')
-0
-select strcmp(_koi8r'a', _koi8r'A' COLLATE koi8r_general_ci);
-strcmp(_koi8r'a', _koi8r'A' COLLATE koi8r_general_ci)
-0
-select strcmp(_koi8r'a', _koi8r'A' COLLATE koi8r_bin);
-strcmp(_koi8r'a', _koi8r'A' COLLATE koi8r_bin)
-1
-select strcmp(_koi8r'a' COLLATE koi8r_general_ci, _koi8r'A');
-strcmp(_koi8r'a' COLLATE koi8r_general_ci, _koi8r'A')
-0
-select strcmp(_koi8r'a' COLLATE koi8r_bin, _koi8r'A');
-strcmp(_koi8r'a' COLLATE koi8r_bin, _koi8r'A')
-1
-select strcmp(_koi8r'a' COLLATE koi8r_general_ci, _koi8r'A' COLLATE koi8r_bin);
-ERROR HY000: Illegal mix of collations (koi8r_general_ci,EXPLICIT) and (koi8r_bin,EXPLICIT) for operation 'strcmp'
-select strcmp(_koi8r'a', _latin1'A');
-ERROR HY000: Illegal mix of collations (koi8r_general_ci,COERCIBLE) and (latin1_swedish_ci,COERCIBLE) for operation 'strcmp'
-select _koi8r'a' LIKE _koi8r'A';
-_koi8r'a' LIKE _koi8r'A'
-1
-select _koi8r'a' LIKE _koi8r'A' COLLATE koi8r_general_ci;
-_koi8r'a' LIKE _koi8r'A' COLLATE koi8r_general_ci
-1
-select _koi8r'a' LIKE _koi8r'A' COLLATE koi8r_bin;
-_koi8r'a' LIKE _koi8r'A' COLLATE koi8r_bin
-0
-select _koi8r'a' COLLATE koi8r_general_ci LIKE _koi8r'A';
-_koi8r'a' COLLATE koi8r_general_ci LIKE _koi8r'A'
-1
-select _koi8r'a' COLLATE koi8r_bin LIKE _koi8r'A';
-_koi8r'a' COLLATE koi8r_bin LIKE _koi8r'A'
-0
-select _koi8r'a' COLLATE koi8r_general_ci LIKE _koi8r'A' COLLATE koi8r_bin;
-ERROR HY000: Illegal mix of collations (koi8r_general_ci,EXPLICIT) and (koi8r_bin,EXPLICIT) for operation 'like'
-select _koi8r'a' LIKE _latin1'A';
-ERROR HY000: Illegal mix of collations (koi8r_general_ci,COERCIBLE) and (latin1_swedish_ci,COERCIBLE) for operation 'like'
-CREATE TABLE t1 (   faq_group_id int(11) NOT NULL default '0',   faq_id int(11) NOT NULL default '0',   title varchar(240) default NULL,   keywords text,   description longblob,   solution longblob,   status tinyint(4) NOT NULL default '0',   access_id smallint(6) default NULL,   lang_id smallint(6) NOT NULL default '0',   created datetime NOT NULL default '0000-00-00 00:00:00',   updated datetime default NULL,   last_access datetime default NULL,   last_notify datetime default NULL,   solved_count int(11) NOT NULL default '0',   static_solved int(11) default NULL,   solved_1 int(11) default NULL,   solved_2 int(11) default NULL,   solved_3 int(11) default NULL,   solved_4 int(11) default NULL,   solved_5 int(11) default NULL,   expires datetime default NULL,   notes text,   assigned_to smallint(6) default NULL,   assigned_group smallint(6) default NULL,   last_edited_by smallint(6) default NULL,   orig_ref_no varchar(15) binary default NULL,   c$fundstate smallint(6) default NULL,   c$contributor smallint(6) default NULL,   UNIQUE KEY t1$faq_id (faq_id),   KEY t1$group_id$faq_id (faq_group_id,faq_id),   KEY t1$c$fundstate (c$fundstate) ) ENGINE=MyISAM;
+CREATE TABLE t1 (   faq_group_id int NOT NULL default '0',   faq_id int NOT NULL default '0',   title varchar(240) default NULL,   keywords text,   description longblob,   solution longblob,   status int NOT NULL default '0',   access_id int default NULL,   lang_id int NOT NULL default '0',   created datetime NOT NULL default '0000-00-00 00:00:00',   updated datetime default NULL,   last_access datetime default NULL,   last_notify datetime default NULL,   solved_count int NOT NULL default '0',   static_solved int default NULL,   solved_1 int default NULL,   solved_2 int default NULL,   solved_3 int default NULL,   solved_4 int default NULL,   solved_5 int default NULL,   expires datetime default NULL,   notes text,   assigned_to int default NULL,   assigned_group int default NULL,   last_edited_by int default NULL,   orig_ref_no varchar(15) binary default NULL,   c$fundstate int default NULL,   c$contributor int default NULL,   UNIQUE KEY t1$faq_id (faq_id),   KEY t1$group_id$faq_id (faq_group_id,faq_id),   KEY t1$c$fundstate (c$fundstate) ) ENGINE=MyISAM;
 INSERT INTO t1 VALUES (82,82,'How to use the DynaVox Usage Counts Feature','usages count, number, corner, white, box, button','<as-html>\r\n<table width=\"100%\" border=\"0\">\r\n  <tr>\r\n    <td width=\"3%\"></td>\r\n    <td width=\"97%\">\r\n       <h3><font face=\"Verdana, Arial, Helvetica, sans-serif\" color=\"#000000\">How \r\n        To</font><!-- #BeginEditable \"CS_troubleshoot_question\" --><font face=\"Verdana, Arial, Helvetica, sans-serif\" color=\"#000099\"><font color=\"#000000\">: \r\n        Display or Hide the Usage Counts to find out how many times each button is being selected. </font></font><!-- #EndEditable --></h3>\r\n    </td>\r\n  </tr>\r\n</table>','<as-html>\r\n <table width=\"100%\" border=\"0\">\r\n  <tr>\r\n    <td width=\"3%\"></td>\r\n    \r\n<td width=\"97%\"><!-- #BeginEditable \"CS_troubleshoot_answer\" --> \r\n      \r\n<p><font color=\"#000000\" face=\"Verdana, Arial, Helvetica, sans-serif\">1. Select \r\n  the <i>On/Setup</i> button to access the DynaVox Setup Menu.<br>\r\n  2. Select <b>Button Features.</b><br>\r\n  3. Below the <b>OK</b> button is the <b>Usage Counts</b> button.<br>\r\n  a. If it says \"Hidden\" then the Usage Counts will not be displayed.<br>\r\n  b. If it says \"Displayed\" then the Usage Counts will be shown.<br>\r\n        c. Select the <b>Usage Counts</b> Option Ring once and it will toggle \r\n        to the alternative option.<br>\r\n  4. Once the correct setting has been chosen, select <b>OK</b> to leave the <i>Button \r\n  Features</i> menu.<br>\r\n  5. Select <b>OK</b> out of the <i>Setup</i> menu and return to the communication \r\n  page.</font></p>\r\n      <p><font color=\"#000000\" face=\"Verdana, Arial, Helvetica, sans-serif\">For \r\n        further information on <i>Usage Counts,</i> see the <i>Button Features \r\n        Menu Entry</i> in the DynaVox/DynaMyte Reference Manual.</font></p>\r\n<!-- #EndEditable --></td>\r\n  </tr>\r\n</table>',4,1,1,'2001-11-16 16:43:34','2002-11-25 12:09:43','2003-07-24 01:04:48',NULL,11,NULL,0,0,0,0,0,NULL,NULL,NULL,NULL,11,NULL,NULL,NULL);
-CREATE TABLE t2 (  access_id smallint(6) NOT NULL default '0',   name varchar(20) binary default NULL,   rank smallint(6) NOT NULL default '0',   KEY t2$access_id (access_id) ) ENGINE=MyISAM;
+CREATE TABLE t2 (  access_id int NOT NULL default '0',   name varchar(20) binary default NULL,   rank int NOT NULL default '0',   KEY t2$access_id (access_id) ) ENGINE=MyISAM;
 INSERT INTO t2 VALUES (1,'Everyone',2),(2,'Help',3),(3,'Customer Support',1);
 SELECT f_acc.rank, a1.rank, a2.rank  FROM t1 LEFT JOIN t1 f1 ON  (f1.access_id=1 AND f1.faq_group_id = t1.faq_group_id) LEFT JOIN t2 a1 ON (a1.access_id =  f1.access_id) LEFT JOIN t1 f2 ON (f2.access_id=3 AND  f2.faq_group_id = t1.faq_group_id) LEFT  JOIN t2 a2 ON (a2.access_id = f2.access_id), t2 f_acc WHERE LEAST(a1.rank,a2.rank) =  f_acc.rank;
 rank	rank	rank
@@ -185,12 +92,18 @@
 select (12%0) <=> null      as '1';
 1
 1
+Warnings:
+Error	1365	Division by 0
 select (12%0) is null       as '1';
 1
 1
+Warnings:
+Error	1365	Division by 0
 select 12%0                 as 'NULL';
 NULL
 NULL
+Warnings:
+Error	1365	Division by 0
 select 12%2                 as '0';
 0
 0
@@ -215,12 +128,18 @@
 select (12 mod 0) <=> null  as '1';
 1
 1
+Warnings:
+Error	1365	Division by 0
 select (12 mod 0) is null   as '1';
 1
 1
+Warnings:
+Error	1365	Division by 0
 select 12 mod 0             as 'NULL';
 NULL
 NULL
+Warnings:
+Error	1365	Division by 0
 select 12 mod 2             as '0';
 0
 0
@@ -242,9 +161,13 @@
 select mod(12.0, 0)         as 'NULL';
 NULL
 NULL
+Warnings:
+Error	1365	Division by 0
 select mod(12, 0.0)         as 'NULL';
 NULL
 NULL
+Warnings:
+Error	1365	Division by 0
 select mod(12, NULL)        as 'NULL';
 NULL
 NULL
@@ -267,15 +190,15 @@
 a	b
 4	5
 drop table t1;
-SELECT GREATEST(1,NULL) FROM DUAL;
+SELECT GREATEST(1,NULL);
 GREATEST(1,NULL)
 NULL
-SELECT LEAST('xxx','aaa',NULL,'yyy') FROM DUAL;
+SELECT LEAST('xxx','aaa',NULL,'yyy');
 LEAST('xxx','aaa',NULL,'yyy')
 NULL
-SELECT LEAST(1.1,1.2,NULL,1.0) FROM DUAL;
+SELECT LEAST(1.1,1.2,NULL,1.0);
 LEAST(1.1,1.2,NULL,1.0)
 NULL
-SELECT GREATEST(1.5E+2,1.3E+2,NULL) FROM DUAL;
+SELECT GREATEST(1.5E+2,1.3E+2,NULL);
 GREATEST(1.5E+2,1.3E+2,NULL)
 NULL

=== renamed file 'tests/suite/broken/r/loaddata.result' => 'tests/r/loaddata.result'
--- tests/suite/broken/r/loaddata.result	2008-08-12 21:13:01 +0000
+++ tests/r/loaddata.result	2008-12-16 20:40:18 +0000
@@ -1,82 +1,37 @@
 drop table if exists t1, t2;
 create table t1 (a date, b date, c date not null, d date);
 load data infile '../std_data_ln/loaddata1.dat' into table t1 fields terminated by ',';
-Warnings:
-Warning	1265	Data truncated for column 'a' at row 1
-Warning	1265	Data truncated for column 'c' at row 1
-Warning	1265	Data truncated for column 'd' at row 1
-Warning	1265	Data truncated for column 'a' at row 2
-Warning	1265	Data truncated for column 'b' at row 2
-Warning	1265	Data truncated for column 'd' at row 2
 load data infile '../std_data_ln/loaddata1.dat' into table t1 fields terminated by ',' IGNORE 2 LINES;
 SELECT * from t1;
 a	b	c	d
-0000-00-00	NULL	0000-00-00	0000-00-00
-0000-00-00	0000-00-00	0000-00-00	0000-00-00
-2003-03-03	2003-03-03	2003-03-03	NULL
+2003-02-03	2003-02-03	2003-02-03	NULL
 2003-03-03	2003-03-03	2003-03-03	NULL
 truncate table t1;
 load data infile '../std_data_ln/loaddata1.dat' into table t1 fields terminated by ',' LINES STARTING BY ',' (b,c,d);
-Warnings:
-Warning	1265	Data truncated for column 'c' at row 1
-Warning	1265	Data truncated for column 'd' at row 1
-Warning	1265	Data truncated for column 'b' at row 2
-Warning	1265	Data truncated for column 'd' at row 2
 SELECT * from t1;
 a	b	c	d
-NULL	NULL	0000-00-00	0000-00-00
-NULL	0000-00-00	0000-00-00	0000-00-00
+NULL	2003-02-03	2003-02-03	NULL
 NULL	2003-03-03	2003-03-03	NULL
 drop table t1;
 create table t1 (a text, b text);
 load data infile '../std_data_ln/loaddata2.dat' into table t1 fields terminated by ',' enclosed by '''';
-Warnings:
-Warning	1261	Row 3 doesn't contain data for all columns
 select concat('|',a,'|'), concat('|',b,'|') from t1;
 concat('|',a,'|')	concat('|',b,'|')
 |Field A|	|Field B|
 |Field 1|	|Field 2' 
-Field 3,'Field 4|
-|Field 5' ,'Field 6|	NULL
+'Field 5' ,'Field 6|
 |Field 6|	| 'Field 7'|
 drop table t1;
 create table t1 (a int, b char(10));
 load data infile '../std_data_ln/loaddata3.dat' into table t1 fields terminated by '' enclosed by '' ignore 1 lines;
-Warnings:
-Warning	1366	Incorrect integer value: 'error      ' for column 'a' at row 3
-Warning	1262	Row 3 was truncated; it contained more data than there were input columns
-Warning	1366	Incorrect integer value: 'wrong end  ' for column 'a' at row 5
-Warning	1262	Row 5 was truncated; it contained more data than there were input columns
 select * from t1;
 a	b
-1	row 1
-2	row 2
-0	1234567890
-3	row 3
-0	1234567890
+1	row 1     
+2	row 2     
+3	row 3     
 truncate table t1;
-load data infile '../std_data_ln/loaddata4.dat' into table t1 fields terminated by '' enclosed by '' lines terminated by '' ignore 1 lines;
-Warnings:
-Warning	1366	Incorrect integer value: '
-' for column 'a' at row 4
-Warning	1261	Row 4 doesn't contain data for all columns
 select * from t1;
 a	b
-1	row 1
-2	row 2
-3	row 3
-0	
-drop table t1;
-SET @OLD_SQL_MODE=@@SQL_MODE, @@SQL_MODE=NO_AUTO_VALUE_ON_ZERO;
-create table t1(id integer not null auto_increment primary key);
-insert into t1 values(0);
-select * from t1;
-id
-0
-select * from t1;
-id
-0
-SET @@SQL_MODE=@OLD_SQL_MODE;
 drop table t1;
 create table t1 (a varchar(20), b varchar(20));
 load data infile '../std_data_ln/loaddata_dq.dat' into table t1 fields terminated by ',' enclosed by '"' escaped by '"' (a,b);
@@ -170,15 +125,6 @@
 @a	@b
 NULL	15
 truncate table t1;
-load data infile '../std_data_ln/rpl_loaddata.dat' into table t1 set c=b;
-Warnings:
-Warning	1261	Row 1 doesn't contain data for all columns
-Warning	1261	Row 2 doesn't contain data for all columns
-select * from t1;
-a	b	c
-NULL	10	10
-NULL	15	15
-truncate table t1;
 load data infile '../std_data_ln/loaddata5.dat' into table t1 fields terminated by '' enclosed by '' (a, b) set c="Wow";
 select * from t1;
 a	b	c
@@ -201,7 +147,7 @@
 select * from t1;
 a	b	c
 10	NULL	Ten
-15	NULL	Fifteen
+15	NULL	Ten
 show variables like "secure_file_pri%";
 Variable_name	Value
 secure_file_priv	MYSQLTEST_VARDIR/
@@ -212,40 +158,23 @@
 ERROR HY000: Variable 'secure_file_priv' is a read only variable
 truncate table t1;
 load data infile 'DRIZZLE_TEST_DIR/t/loaddata.test' into table t1;
-ERROR HY000: The MySQL server is running with the --secure-file-priv option so it cannot execute this statement
+ERROR HY000: The Drizzle server is running with the --secure-file-priv option so it cannot execute this statement
 select * from t1;
 a	b	c
 select load_file("DRIZZLE_TEST_DIR/t/loaddata.test");
 load_file("DRIZZLE_TEST_DIR/t/loaddata.test")
 NULL
 drop table t1, t2;
-create table t1(f1 int);
-insert into t1 values(1),(null);
-create table t2(f2 int auto_increment primary key);
-select * from t2;
-f2
-1
-2
-SET @@SQL_MODE=@OLD_SQL_MODE;
-drop table t1,t2;
 create table t1(f1 int, f2 timestamp not null default current_timestamp);
 create table t2(f1 int);
 insert into t2 values(1),(2);
-Warnings:
-Warning	1261	Row 1 doesn't contain data for all columns
-Warning	1261	Row 2 doesn't contain data for all columns
+ERROR 01000: Row 1 doesn't contain data for all columns
 select f1 from t1 where f2 <> '0000-00-00 00:00:00' order by f1;
 f1
-1
-2
 delete from t1;
-Warnings:
-Warning	1261	Row 1 doesn't contain data for all columns
-Warning	1261	Row 2 doesn't contain data for all columns
+ERROR 01000: Row 1 doesn't contain data for all columns
 select f1 from t1 where f2 <> '0000-00-00 00:00:00' order by f1;
 f1
-1
-2
 drop table t1,t2;
 CREATE TABLE t1 (c1 INT, c2 TIMESTAMP, c3 REAL, c4 DOUBLE);
 INSERT INTO t1 (c1, c2, c3, c4) VALUES (10, '1970-02-01 01:02:03', 1.1E-100, 1.1E+100);
@@ -253,7 +182,6 @@
 c1	c2	c3	c4
 10	1970-02-01 01:02:03	1.1e-100	1.1e100
 SELECT * INTO OUTFILE 'MYSQLTEST_VARDIR/tmp/t1' FIELDS ENCLOSED BY '-' FROM t1;
--10-	-1970\-02\-01 01:02:03-	-1.1e\-100-	-1.1e100-
 EOF
 TRUNCATE t1;
 LOAD DATA INFILE 'MYSQLTEST_VARDIR/tmp/t1' INTO TABLE t1 FIELDS ENCLOSED BY '-';
@@ -261,106 +189,3 @@
 c1	c2	c3	c4
 10	1970-02-01 01:02:03	1.1e-100	1.1e100
 DROP TABLE t1;
-
-# --
-# -- Bug#35469: server crash with LOAD DATA INFILE to a VIEW.
-# --
-
-DROP TABLE IF EXISTS t1;
-DROP VIEW IF EXISTS v1;
-DROP VIEW IF EXISTS v2;
-DROP VIEW IF EXISTS v3;
-
-CREATE TABLE t1(c1 INT, c2 VARCHAR(255));
-
-CREATE VIEW v1 AS SELECT * FROM t1;
-CREATE VIEW v2 AS SELECT 1 + 2 AS c0, c1, c2 FROM t1;
-CREATE VIEW v3 AS SELECT 1 AS d1, 2 AS d2;
-
-LOAD DATA INFILE '../std_data_ln/bug35469.dat' INTO TABLE v1
-FIELDS ESCAPED BY '\\'
-  TERMINATED BY ','
-  ENCLOSED BY '"'
-  LINES TERMINATED BY '\n' (c1, c2);
-
-SELECT * FROM t1;
-c1	c2
-1	 "string1"
-2	 "string2"
-3	 "string3"
-
-SELECT * FROM v1;
-c1	c2
-1	 "string1"
-2	 "string2"
-3	 "string3"
-
-DELETE FROM t1;
-
-LOAD DATA INFILE '../std_data_ln/bug35469.dat' INTO TABLE v2
-FIELDS ESCAPED BY '\\'
-  TERMINATED BY ','
-  ENCLOSED BY '"'
-  LINES TERMINATED BY '\n' (c1, c2);
-
-SELECT * FROM t1;
-c1	c2
-1	 "string1"
-2	 "string2"
-3	 "string3"
-
-SELECT * FROM v2;
-c0	c1	c2
-3	1	 "string1"
-3	2	 "string2"
-3	3	 "string3"
-
-DELETE FROM t1;
-
-LOAD DATA INFILE '../std_data_ln/bug35469.dat' INTO TABLE v2
-FIELDS ESCAPED BY '\\'
-  TERMINATED BY ','
-  ENCLOSED BY '"'
-  LINES TERMINATED BY '\n' (c0, c2);
-ERROR HY000: Invalid column reference (v2.c0) in LOAD DATA
-
-LOAD DATA INFILE '../std_data_ln/bug35469.dat' INTO TABLE v3
-FIELDS ESCAPED BY '\\'
-  TERMINATED BY ','
-  ENCLOSED BY '"'
-  LINES TERMINATED BY '\n' (d1, d2);
-ERROR HY000: The target table v3 of the LOAD is not updatable
-
-DROP TABLE t1;
-DROP VIEW v1;
-DROP VIEW v2;
-DROP VIEW v3;
-
-# -- End of Bug#35469.
-CREATE TABLE t1 (a int);
-INSERT INTO t1 VALUES (1);
-SET NAMES latin1;
-SET character_set_filesystem=filename;
-select @@character_set_filesystem;
-@@character_set_filesystem
-filename
-SELECT * INTO OUTFILE 't-1' FROM t1;
-DELETE FROM t1;
-LOAD DATA INFILE 't-1' INTO TABLE t1;
-SELECT * FROM t1;
-a
-1
-DELETE FROM t1;
-SET character_set_filesystem=latin1;
-select @@character_set_filesystem;
-@@character_set_filesystem
-latin1
-LOAD DATA INFILE 't@002d1' INTO TABLE t1;
-SELECT * FROM t1;
-a
-1
-DROP TABLE t1;
-SET character_set_filesystem=default;
-select @@character_set_filesystem;
-@@character_set_filesystem
-binary

=== renamed file 'tests/suite/broken/r/loaddata_autocom_innodb.result' => 'tests/r/loaddata_autocom_innodb.result'
--- tests/suite/broken/r/loaddata_autocom_innodb.result	2008-06-25 05:29:13 +0000
+++ tests/r/loaddata_autocom_innodb.result	2008-12-16 20:47:48 +0000
@@ -1,19 +1,15 @@
 SET SESSION STORAGE_ENGINE = InnoDB;
 drop table if exists t1;
-create table t1 (id int unsigned not null auto_increment primary key, a text, b text);
+create table t1 (id int not null auto_increment primary key, a text, b text);
 start transaction;
 load data infile '../std_data_ln/loaddata2.dat' into table t1 fields terminated by ',' enclosed by '''' (a, b);
-Warnings:
-Warning	1261	Row 3 doesn't contain data for all columns
 commit;
 select count(*) from t1;
 count(*)
-4
+3
 truncate table t1;
 start transaction;
 load data infile '../std_data_ln/loaddata2.dat' into table t1 fields terminated by ',' enclosed by '''' (a, b);
-Warnings:
-Warning	1261	Row 3 doesn't contain data for all columns
 rollback;
 select count(*) from t1;
 count(*)

=== renamed file 'tests/suite/broken/r/lowercase_fs_off.result' => 'tests/r/lowercase_fs_off.result'
--- tests/suite/broken/r/lowercase_fs_off.result	2008-06-25 05:29:13 +0000
+++ tests/r/lowercase_fs_off.result	2008-12-16 17:34:59 +0000
@@ -1,12 +1,9 @@
 create database d1;
-grant all on d1.* to 'sample'@'localhost' identified by 'password';
-flush privileges;
 select database();
 database()
 d1
 create database d2;
-ERROR 42000: Access denied for user 'sample'@'localhost' to database 'd2'
 create database D1;
-ERROR 42000: Access denied for user 'sample'@'localhost' to database 'D1'
-drop user 'sample'@'localhost';
-drop database if exists d1;
+ERROR HY000: Can't create database 'd1'; database exists
+drop database d2;
+drop database d1;

=== modified file 'tests/std_data/loaddata1.dat'
--- tests/std_data/loaddata1.dat	2008-06-25 05:29:13 +0000
+++ tests/std_data/loaddata1.dat	2008-12-16 20:40:18 +0000
@@ -1,3 +1,2 @@
-,\N,NULL,,
-00,0,000000,,
+2003-02-03, 20030203,030203,\N
 2003-03-03, 20030303,030303,\N

=== modified file 'tests/std_data/loaddata2.dat'
--- tests/std_data/loaddata2.dat	2008-06-25 05:29:13 +0000
+++ tests/std_data/loaddata2.dat	2008-12-16 20:40:18 +0000
@@ -1,5 +1,4 @@
 Field A,'Field B'
 Field 1,'Field 2' 
-Field 3,'Field 4'
 'Field 5' ,'Field 6'
 Field 6, 'Field 7'

=== modified file 'tests/std_data/loaddata3.dat'
--- tests/std_data/loaddata3.dat	2008-06-25 05:29:13 +0000
+++ tests/std_data/loaddata3.dat	2008-12-16 20:40:18 +0000
@@ -1,6 +1,4 @@
 number     row data
 1          row 1     
 2          row 2     
-error      12345678901234567890123456789012345678901234567890
 3          row 3     
-wrong end  12345678901234567890123456789012345678901234567890

=== removed file 'tests/suite/broken/r/insert_notembedded.result'
--- tests/suite/broken/r/insert_notembedded.result	2008-10-19 19:35:14 +0000
+++ tests/suite/broken/r/insert_notembedded.result	1970-01-01 00:00:00 +0000
@@ -1,21 +0,0 @@
-drop table if exists t1;
-connection: default
-set low_priority_updates=1;
-drop table if exists t1;
-create table t1 (a int, b int, unique key t1$a (a));
-lock table t1 read;
-connection: update
-set low_priority_updates=1;
-show variables like 'low_priority_updates';
-Variable_name	Value
-low_priority_updates	ON
-insert into t1 values (1, 2) ON DUPLICATE KEY UPDATE b = 2;;
-connection: select
-select * from t1;
-a	b
-connection: default
-select * from t1;
-a	b
-unlock tables;
-drop table t1;
-set low_priority_updates=default;

=== removed file 'tests/suite/broken/r/log_state.result'
--- tests/suite/broken/r/log_state.result	2008-06-25 05:29:13 +0000
+++ tests/suite/broken/r/log_state.result	1970-01-01 00:00:00 +0000
@@ -1,273 +0,0 @@
-set global general_log= OFF;
-truncate table mysql.general_log;
-truncate table mysql.slow_log;
-show global variables
-where Variable_name = 'log' or Variable_name = 'log_slow_queries' or
-Variable_name = 'general_log' or Variable_name = 'slow_query_log';
-Variable_name	Value
-general_log	OFF
-log	OFF
-log_slow_queries	OFF
-slow_query_log	OFF
-flush logs;
-set global general_log= ON;
-create table t1(f1 int);
-select * from mysql.general_log;
-event_time	user_host	thread_id	server_id	command_type	argument
-TIMESTAMP	USER_HOST	#	1	Query	create table t1(f1 int)
-TIMESTAMP	USER_HOST	#	1	Query	select * from mysql.general_log
-set global general_log= OFF;
-drop table t1;
-select * from mysql.general_log;
-event_time	user_host	thread_id	server_id	command_type	argument
-TIMESTAMP	USER_HOST	#	1	Query	create table t1(f1 int)
-TIMESTAMP	USER_HOST	#	1	Query	select * from mysql.general_log
-TIMESTAMP	USER_HOST	#	1	Query	set global general_log= OFF
-set global general_log= ON;
-flush logs;
-show global variables
-where Variable_name = 'log' or Variable_name = 'log_slow_queries' or
-Variable_name = 'general_log' or Variable_name = 'slow_query_log';
-Variable_name	Value
-general_log	ON
-log	ON
-log_slow_queries	OFF
-slow_query_log	OFF
-set session long_query_time=1;
-select sleep(2);
-sleep(2)
-0
-select * from mysql.slow_log where sql_text NOT LIKE '%slow_log%';
-start_time	user_host	query_time	lock_time	rows_sent	rows_examined	db	last_insert_id	insert_id	server_id	sql_text
-set global slow_query_log= ON;
-set session long_query_time=1;
-select sleep(2);
-sleep(2)
-0
-select * from mysql.slow_log where sql_text NOT LIKE '%slow_log%';
-start_time	user_host	query_time	lock_time	rows_sent	rows_examined	db	last_insert_id	insert_id	server_id	sql_text
-TIMESTAMP	USER_HOST	QUERY_TIME	00:00:00	1	0	test	0	0	1	select sleep(2)
-show global variables
-where Variable_name = 'log' or Variable_name = 'log_slow_queries' or
-Variable_name = 'general_log' or Variable_name = 'slow_query_log';
-Variable_name	Value
-general_log	ON
-log	ON
-log_slow_queries	ON
-slow_query_log	ON
-set global general_log= ON;
-set global general_log= OFF;
-set global general_log= OFF;
-set global slow_query_log= ON;
-set global slow_query_log= OFF;
-set global slow_query_log= OFF;
-set global general_log= ON;
-truncate table mysql.general_log;
-create table t1(f1 int);
-drop table t1;
-select * from mysql.general_log;
-event_time	user_host	thread_id	server_id	command_type	argument
-TIMESTAMP	USER_HOST	#	1	Query	create table t1(f1 int)
-TIMESTAMP	USER_HOST	#	1	Query	drop table t1
-TIMESTAMP	USER_HOST	#	1	Query	select * from mysql.general_log
-set global general_log= OFF;
-truncate table mysql.general_log;
-select * from mysql.general_log;
-event_time	user_host	thread_id	server_id	command_type	argument
-set global general_log= ON;
-show global variables
-where Variable_name = 'log' or Variable_name = 'log_slow_queries' or
-Variable_name = 'general_log' or Variable_name = 'slow_query_log';
-Variable_name	Value
-general_log	ON
-log	ON
-log_slow_queries	OFF
-slow_query_log	OFF
-show variables like 'general_log_file';
-Variable_name	Value
-general_log_file	#
-show variables like 'slow_query_log_file';
-Variable_name	Value
-slow_query_log_file	#
-show variables like 'log_output';
-Variable_name	Value
-log_output	FILE,TABLE
-set global general_log_file='/not exiting path/log.master';
-ERROR 42000: Variable 'general_log_file' can't be set to the value of '/not exiting path/log.master'
-set global general_log_file='MYSQLTEST_VARDIR';
-ERROR 42000: Variable 'general_log_file' can't be set to the value of 'MYSQLTEST_VARDIR'
-set global general_log_file='';
-ERROR 42000: Variable 'general_log_file' can't be set to the value of ''
-show variables like 'general_log_file';
-Variable_name	Value
-general_log_file	#
-set global general_log= OFF;
-set global general_log_file='MYSQLTEST_VARDIR/tmp/log.master';
-set global general_log= ON;
-create table t1(f1 int);
-drop table t1;
-set global general_log= OFF;
-set global general_log_file=default;
-set global general_log= ON;
-create table t1(f1 int);
-drop table t1;
-show variables like 'general_log_file';
-Variable_name	Value
-general_log_file	#
-show variables like 'slow_query_log_file';
-Variable_name	Value
-slow_query_log_file	#
-set global general_log= default;
-set global slow_query_log= default;
-set global general_log_file= default;
-set global slow_query_log_file= default;
-show variables like 'general_log';
-Variable_name	Value
-general_log	OFF
-show variables like 'slow_query_log';
-Variable_name	Value
-slow_query_log	OFF
-set global general_log=ON;
-set global log_output=default;
-show variables like 'log_output';
-Variable_name	Value
-log_output	FILE
-set global general_log=OFF;
-set global log_output=FILE;
-truncate table mysql.general_log;
-show variables like 'log_output';
-Variable_name	Value
-log_output	FILE
-set global general_log=ON;
-create table t1(f1 int);
-select * from mysql.general_log;
-event_time	user_host	thread_id	server_id	command_type	argument
-set global general_log=OFF;
-set global log_output="FILE,TABLE";
-show variables like 'log_output';
-Variable_name	Value
-log_output	FILE,TABLE
-set global general_log=ON;
-drop table t1;
-select * from mysql.general_log;
-event_time	user_host	thread_id	server_id	command_type	argument
-TIMESTAMP	USER_HOST	#	1	Query	drop table t1
-TIMESTAMP	USER_HOST	#	1	Query	select * from mysql.general_log
-SET @old_general_log_state = @@global.general_log;
-SET @old_slow_log_state = @@global.slow_query_log;
-SET GLOBAL general_log = ON;
-SET GLOBAL slow_query_log = ON;
-FLUSH TABLES WITH READ LOCK;
-SET GLOBAL general_log = OFF;
-SET GLOBAL slow_query_log = OFF;
-UNLOCK TABLES;
-FLUSH TABLES WITH READ LOCK;
-SET GLOBAL general_log = ON;
-SET GLOBAL slow_query_log = ON;
-UNLOCK TABLES;
-SET GLOBAL READ_ONLY = ON;
-SET GLOBAL general_log = OFF;
-SET GLOBAL slow_query_log = OFF;
-SET GLOBAL READ_ONLY = OFF;
-SET GLOBAL READ_ONLY = ON;
-SET GLOBAL general_log = ON;
-SET GLOBAL slow_query_log = ON;
-SET GLOBAL READ_ONLY = OFF;
-SET GLOBAL general_log = @old_general_log_state;
-SET GLOBAL slow_query_log = @old_slow_log_state;
-SET @old_general_log_state = @@global.general_log;
-SET @old_slow_log_state = @@global.slow_query_log;
-SHOW VARIABLES LIKE 'general_log';
-Variable_name	Value
-general_log	ON
-SHOW VARIABLES LIKE 'log';
-Variable_name	Value
-log	ON
-SELECT @@general_log, @@log;
-@@general_log	@@log
-1	1
-SET GLOBAL log = 0;
-SHOW VARIABLES LIKE 'general_log';
-Variable_name	Value
-general_log	OFF
-SHOW VARIABLES LIKE 'log';
-Variable_name	Value
-log	OFF
-SELECT @@general_log, @@log;
-@@general_log	@@log
-0	0
-SET GLOBAL general_log = 1;
-SHOW VARIABLES LIKE 'general_log';
-Variable_name	Value
-general_log	ON
-SHOW VARIABLES LIKE 'log';
-Variable_name	Value
-log	ON
-SELECT @@general_log, @@log;
-@@general_log	@@log
-1	1
-SHOW VARIABLES LIKE 'slow_query_log';
-Variable_name	Value
-slow_query_log	OFF
-SHOW VARIABLES LIKE 'log_slow_queries';
-Variable_name	Value
-log_slow_queries	OFF
-SELECT @@slow_query_log, @@log_slow_queries;
-@@slow_query_log	@@log_slow_queries
-0	0
-SET GLOBAL log_slow_queries = 0;
-SHOW VARIABLES LIKE 'slow_query_log';
-Variable_name	Value
-slow_query_log	OFF
-SHOW VARIABLES LIKE 'log_slow_queries';
-Variable_name	Value
-log_slow_queries	OFF
-SELECT @@slow_query_log, @@log_slow_queries;
-@@slow_query_log	@@log_slow_queries
-0	0
-SET GLOBAL slow_query_log = 1;
-SHOW VARIABLES LIKE 'slow_query_log';
-Variable_name	Value
-slow_query_log	ON
-SHOW VARIABLES LIKE 'log_slow_queries';
-Variable_name	Value
-log_slow_queries	ON
-SELECT @@slow_query_log, @@log_slow_queries;
-@@slow_query_log	@@log_slow_queries
-1	1
-SET GLOBAL general_log = @old_general_log_state;
-SET GLOBAL slow_query_log = @old_slow_log_state;
-set @old_general_log_file= @@global.general_log_file;
-set @old_slow_query_log_file= @@global.slow_query_log_file;
-set global general_log_file= concat('/not exiting path/log.maste', 'r');
-ERROR 42000: Variable 'general_log_file' can't be set to the value of '/not exiting path/log.master'
-set global general_log_file= NULL;
-ERROR 42000: Variable 'general_log_file' can't be set to the value of 'NULL'
-set global slow_query_log_file= concat('/not exiting path/log.maste', 'r');
-ERROR 42000: Variable 'slow_query_log_file' can't be set to the value of '/not exiting path/log.master'
-set global slow_query_log_file= NULL;
-ERROR 42000: Variable 'slow_query_log_file' can't be set to the value of 'NULL'
-set global general_log_file= @old_general_log_file;
-set global slow_query_log_file= @old_slow_query_log_file;
-
-# --
-# -- Bug#32748: Inconsistent handling of assignments to
-# -- general_log_file/slow_query_log_file.
-# --
-
-SET @general_log_file_saved = @@global.general_log_file;
-SET @slow_query_log_file_saved = @@global.slow_query_log_file;
-
-SET GLOBAL general_log_file = 'bug32748.query.log';
-SET GLOBAL slow_query_log_file = 'bug32748.slow.log';
-
-SHOW VARIABLES LIKE '%log_file';
-Variable_name	Value
-general_log_file	bug32748.query.log
-slow_query_log_file	bug32748.slow.log
-
-SET GLOBAL general_log_file = @general_log_file_saved;
-SET GLOBAL slow_query_log_file = @slow_query_log_file_saved;
-
-# -- End of Bug#32748.
-End of 5.1 tests

=== removed file 'tests/suite/broken/r/long_tmpdir.result'
--- tests/suite/broken/r/long_tmpdir.result	2008-06-25 05:29:13 +0000
+++ tests/suite/broken/r/long_tmpdir.result	1970-01-01 00:00:00 +0000
@@ -1,3 +0,0 @@
-create view v1 as select table_name from information_schema.tables;
-drop view v1;
-End of 5.0 tests

=== removed file 'tests/suite/broken/t/innodb_mrr.test'
--- tests/suite/broken/t/innodb_mrr.test	2008-06-25 05:29:13 +0000
+++ tests/suite/broken/t/innodb_mrr.test	1970-01-01 00:00:00 +0000
@@ -1,68 +0,0 @@
--- source include/have_innodb.inc
-
---disable_warnings
-drop table if exists t1,t2,t3,t4;
---enable_warnings
-
-set @save_storage_engine= @@storage_engine;
-set storage_engine=InnoDB;
-
---source include/mrr_tests.inc 
-
-set storage_engine= @save_storage_engine;
-drop table t1, t2, t3, t4;
-
-# Try big rowid sizes
-set @read_rnd_buffer_size_save= @@read_rnd_buffer_size;
-set read_rnd_buffer_size=64;
-
-
-# By default InnoDB will fill values only for key parts used by the query,
-# which will cause DS-MRR to supply an invalid tuple on scan restoration. 
-# Verify that DS-MRR's code extra(HA_EXTRA_RETRIEVE_ALL_COLS) call has effect:
-create table t1(a int);
-insert into t1 values (0),(1),(2),(3),(4),(5),(6),(7),(8),(9);
-create table t2(a char(8), b char(8), c char(8), filler char(100), key(a,b,c) ) engine=InnoDB;
-
-insert into t2 select 
-  concat('a-', 1000 + A.a, '-a'),
-  concat('b-', 1000 + B.a, '-b'),
-  concat('c-', 1000 + C.a, '-c'),
-  'filler'
-from t1 A, t1 B, t1 C;
-
-explain
-select count(length(a) + length(filler)) from t2 where a>='a-1000-a' and a <'a-1001-a';
-select count(length(a) + length(filler)) from t2 where a>='a-1000-a' and a <'a-1001-a';
-drop table t2;
-
-# Try a very big rowid
-create table t2 (a char(100), b char(100), c char(100), d int, 
-                 filler char(10), key(d), primary key (a,b,c)) engine= innodb;
-insert into t2 select A.a, B.a, B.a, A.a, 'filler' from t1 A, t1 B;
-explain select * from t2 force index (d) where d < 10;
-drop table t2;
-
-drop table t1;
-set @@read_rnd_buffer_size= @read_rnd_buffer_size_save;
-
-#
-# BUG#33033 "MySQL/InnoDB crashes with simple select range query"
-#
-create table t1 (f1 int not null, f2 int not null,f3 int not null, f4 char(1), primary key (f1,f2), key ix(f3))Engine=InnoDB;
-
---disable_query_log
-let $1=55;
-
-while ($1)
-{
-  eval insert into t1(f1,f2,f3,f4) values ($1,$1,$1,'A');
-  dec $1;
-}
---enable_query_log
-
-# The following must not crash:
-select * from t1 where (f3>=5 and f3<=10) or (f3>=1 and f3<=4);
-
-drop table t1;
-

=== removed file 'tests/suite/broken/t/insert_notembedded.test'
--- tests/suite/broken/t/insert_notembedded.test	2008-10-19 19:35:14 +0000
+++ tests/suite/broken/t/insert_notembedded.test	1970-01-01 00:00:00 +0000
@@ -1,39 +0,0 @@
---disable_warnings
-drop table if exists t1;
---enable_warnings
-
-#
-# Bug#28587 SELECT is blocked by INSERT waiting on read lock, even with low_priority_updates
-#
---echo connection: default
-set low_priority_updates=1;
---disable_warnings
-drop table if exists t1;
---enable_warnings
-create table t1 (a int, b int, unique key t1$a (a));
-lock table t1 read;
-connect (update,localhost,root,,);
-connection update;
---echo connection: update
-set low_priority_updates=1;
-show variables like 'low_priority_updates';
-let $ID= `select connection_id()`;
---send insert into t1 values (1, 2) ON DUPLICATE KEY UPDATE b = 2;
-connection default;
-# we must wait till the insert opens and locks the table
-let $wait_condition=
-  select count(*) = 1 from information_schema.processlist
-  where state = "Table lock" and id = $ID;
---source include/wait_condition.inc
-connect (select,localhost,root,,);
---echo connection: select
-select * from t1;
-connection default;
---echo connection: default
-select * from t1;
-connection default;
-disconnect update;
-disconnect select;
-unlock tables;
-drop table t1;
-set low_priority_updates=default;

=== removed file 'tests/suite/broken/t/log_state.test'
--- tests/suite/broken/t/log_state.test	2008-06-30 06:46:40 +0000
+++ tests/suite/broken/t/log_state.test	1970-01-01 00:00:00 +0000
@@ -1,272 +0,0 @@
---source include/have_csv.inc
-
---disable_ps_protocol
-set global general_log= OFF;
-truncate table mysql.general_log;
-truncate table mysql.slow_log;
-show global variables
-where Variable_name = 'log' or Variable_name = 'log_slow_queries' or
-Variable_name = 'general_log' or Variable_name = 'slow_query_log';
-flush logs;
-set global general_log= ON;
-create table t1(f1 int);
---replace_column 1 TIMESTAMP 2 USER_HOST 3 #
-select * from mysql.general_log;
-set global general_log= OFF;
-drop table t1;
---replace_column 1 TIMESTAMP 2 USER_HOST 3 #
-select * from mysql.general_log;
-set global general_log= ON;
-flush logs;
-show global variables
-where Variable_name = 'log' or Variable_name = 'log_slow_queries' or
-Variable_name = 'general_log' or Variable_name = 'slow_query_log';
-
-connect (con1,localhost,root,,);
-connection con1;
-set session long_query_time=1;
-select sleep(2);
---replace_column 1 TIMESTAMP 2 USER_HOST 3 QUERY_TIME
-select * from mysql.slow_log where sql_text NOT LIKE '%slow_log%';
-connection default;
-
-set global slow_query_log= ON;
-connection con1;
-set session long_query_time=1;
-select sleep(2);
---replace_column 1 TIMESTAMP 2 USER_HOST 3 QUERY_TIME
-select * from mysql.slow_log where sql_text NOT LIKE '%slow_log%';
-connection default;
-show global variables
-where Variable_name = 'log' or Variable_name = 'log_slow_queries' or
-Variable_name = 'general_log' or Variable_name = 'slow_query_log';
-
-set global general_log= ON;
-set global general_log= OFF;
-set global general_log= OFF;
-set global slow_query_log= ON;
-set global slow_query_log= OFF;
-set global slow_query_log= OFF;
-
-set global general_log= ON;
-truncate table mysql.general_log;
-create table t1(f1 int);
-drop table t1;
---replace_column 1 TIMESTAMP 2 USER_HOST 3 #
-select * from mysql.general_log;
-set global general_log= OFF;
-truncate table mysql.general_log;
---replace_column 1 TIMESTAMP 2 USER_HOST 3 #
-select * from mysql.general_log;
-set global general_log= ON;
-show global variables
-where Variable_name = 'log' or Variable_name = 'log_slow_queries' or
-Variable_name = 'general_log' or Variable_name = 'slow_query_log';
-
---replace_column 2 #
-show variables like 'general_log_file';
---replace_column 2 #
-show variables like 'slow_query_log_file';
-show variables like 'log_output';
-
-# Can't set general_log_file to a non existing file
---error 1231
-set global general_log_file='/not exiting path/log.master';
-
-# Can't set general_log_file to a directory
---replace_result $MYSQLTEST_VARDIR MYSQLTEST_VARDIR
---error 1231
-eval set global general_log_file='$MYSQLTEST_VARDIR';
-
-# Can't set general_log_file to empty string
---error 1231
-set global general_log_file='';
-
---replace_column 2 #
-show variables like 'general_log_file';
-set global general_log= OFF;
---replace_result $MYSQLTEST_VARDIR MYSQLTEST_VARDIR
-eval set global general_log_file='$MYSQLTEST_VARDIR/tmp/log.master';
-set global general_log= ON;
-create table t1(f1 int);
-drop table t1;
-set global general_log= OFF;
-set global general_log_file=default;
-set global general_log= ON;
-create table t1(f1 int);
-drop table t1;
---replace_column 2 #
-show variables like 'general_log_file';
---replace_column 2 #
-show variables like 'slow_query_log_file';
-
-set global general_log= default;
-set global slow_query_log= default;
-set global general_log_file= default;
-set global slow_query_log_file= default;
-show variables like 'general_log';
-show variables like 'slow_query_log';
-set global general_log=ON;
-set global log_output=default;
-show variables like 'log_output';
-set global general_log=OFF;
-set global log_output=FILE;
-truncate table mysql.general_log;
-show variables like 'log_output';
-set global general_log=ON;
-create table t1(f1 int);
---replace_column 1 TIMESTAMP 2 USER_HOST 3 #
-select * from mysql.general_log;
-set global general_log=OFF;
-set global log_output="FILE,TABLE";
-show variables like 'log_output';
-set global general_log=ON;
-drop table t1;
---replace_column 1 TIMESTAMP 2 USER_HOST 3 #
-select * from mysql.general_log;
-
-#
-# Bug#29129 (Resetting general_log while the GLOBAL READ LOCK is set causes
-# a deadlock)
-
-# save state
-
-SET @old_general_log_state = @@global.general_log;
-SET @old_slow_log_state = @@global.slow_query_log;
-
-# Test ON->OFF transition under a GLOBAL READ LOCK
-
-SET GLOBAL general_log = ON;
-SET GLOBAL slow_query_log = ON;
-
-FLUSH TABLES WITH READ LOCK;
-
-SET GLOBAL general_log = OFF;
-SET GLOBAL slow_query_log = OFF;
-
-UNLOCK TABLES;
-
-# Test OFF->ON transition under a GLOBAL READ LOCK
-
-FLUSH TABLES WITH READ LOCK;
-
-SET GLOBAL general_log = ON;
-SET GLOBAL slow_query_log = ON;
-
-UNLOCK TABLES;
-
-# Test ON->OFF transition under a GLOBAL READ_ONLY
-
-SET GLOBAL READ_ONLY = ON;
-
-SET GLOBAL general_log = OFF;
-SET GLOBAL slow_query_log = OFF;
-
-SET GLOBAL READ_ONLY = OFF;
-
-# Test OFF->ON transition under a GLOBAL READ_ONLY
-
-SET GLOBAL READ_ONLY = ON;
-
-SET GLOBAL general_log = ON;
-SET GLOBAL slow_query_log = ON;
-
-SET GLOBAL READ_ONLY = OFF;
-
-# Restore state
-
-SET GLOBAL general_log = @old_general_log_state;
-SET GLOBAL slow_query_log = @old_slow_log_state;
-
-#
-# Bug #29131: SHOW VARIABLES reports variable 'log' but SET doesn't recognize it
-#
-
-SET @old_general_log_state = @@global.general_log;
-SET @old_slow_log_state = @@global.slow_query_log;
-
-SHOW VARIABLES LIKE 'general_log';
-SHOW VARIABLES LIKE 'log';
-SELECT @@general_log, @@log;
-SET GLOBAL log = 0;
-SHOW VARIABLES LIKE 'general_log';
-SHOW VARIABLES LIKE 'log';
-SELECT @@general_log, @@log;
-SET GLOBAL general_log = 1;
-SHOW VARIABLES LIKE 'general_log';
-SHOW VARIABLES LIKE 'log';
-SELECT @@general_log, @@log;
-
-SHOW VARIABLES LIKE 'slow_query_log';
-SHOW VARIABLES LIKE 'log_slow_queries';
-SELECT @@slow_query_log, @@log_slow_queries;
-SET GLOBAL log_slow_queries = 0;
-SHOW VARIABLES LIKE 'slow_query_log';
-SHOW VARIABLES LIKE 'log_slow_queries';
-SELECT @@slow_query_log, @@log_slow_queries;
-SET GLOBAL slow_query_log = 1;
-SHOW VARIABLES LIKE 'slow_query_log';
-SHOW VARIABLES LIKE 'log_slow_queries';
-SELECT @@slow_query_log, @@log_slow_queries;
-
-SET GLOBAL general_log = @old_general_log_state;
-SET GLOBAL slow_query_log = @old_slow_log_state;
-
-#
-# Bug #31604: server crash when setting slow_query_log_file/general_log_file
-#
-set @old_general_log_file= @@global.general_log_file;
-set @old_slow_query_log_file= @@global.slow_query_log_file;
-
---error 1231
-set global general_log_file= concat('/not exiting path/log.maste', 'r');
---error 1231
-set global general_log_file= NULL;
---error 1231
-set global slow_query_log_file= concat('/not exiting path/log.maste', 'r');
---error 1231
-set global slow_query_log_file= NULL;
-
-set global general_log_file= @old_general_log_file;
-set global slow_query_log_file= @old_slow_query_log_file;
-
-###########################################################################
-
---echo
---echo # --
---echo # -- Bug#32748: Inconsistent handling of assignments to
---echo # -- general_log_file/slow_query_log_file.
---echo # --
-
---echo
-SET @general_log_file_saved = @@global.general_log_file;
-SET @slow_query_log_file_saved = @@global.slow_query_log_file;
-
---echo
-SET GLOBAL general_log_file = 'bug32748.query.log';
-SET GLOBAL slow_query_log_file = 'bug32748.slow.log';
-
---echo
-SHOW VARIABLES LIKE '%log_file';
-
---echo
-SET GLOBAL general_log_file = @general_log_file_saved;
-SET GLOBAL slow_query_log_file = @slow_query_log_file_saved;
-
---echo
---echo # -- End of Bug#32748.
-
-###########################################################################
-
---echo End of 5.1 tests
-
---enable_ps_protocol
-
-#
-# Cleanup (must be done last to avoid delayed 'Quit' message in general log)
-#
-disconnect con1;
-
-# Remove the log files that was created in the "default location"
-# i.e var/run
---remove_file $MYSQLTEST_VARDIR/run/master.log

=== removed file 'tests/suite/broken/t/long_tmpdir.test'
--- tests/suite/broken/t/long_tmpdir.test	2008-06-25 05:29:13 +0000
+++ tests/suite/broken/t/long_tmpdir.test	1970-01-01 00:00:00 +0000
@@ -1,9 +0,0 @@
-#
-# Bug #29015: Stack overflow in processing temporary table name when tmpdir path
-#             is long
-#
-
-create view v1 as select table_name from information_schema.tables;
-drop view v1;
-
---echo End of 5.0 tests

=== renamed file 'tests/suite/broken/t/errors.test' => 'tests/t/errors.test'
--- tests/suite/broken/t/errors.test	2008-06-25 05:29:13 +0000
+++ tests/t/errors.test	2008-12-16 07:07:50 +0000
@@ -35,12 +35,10 @@
 #
 # Bug #6080: Error message for a field with a display width that is too long
 #
---error 1439
+--error 1064
 create table t1 (a int(256));
-set sql_mode='traditional';
 --error 1074
 create table t1 (a varchar(66000));
-set sql_mode=default;
 
 #
 # Bug #27513: mysql 5.0.x + NULL pointer DoS

=== renamed file 'tests/suite/broken/t/func_system.test' => 'tests/t/func_system.test'
--- tests/suite/broken/t/func_system.test	2008-06-25 05:29:13 +0000
+++ tests/t/func_system.test	2008-12-16 17:15:24 +0000
@@ -3,50 +3,38 @@
 #
 
 select database();
-select charset(database());
 select database() = "test";
 select database() = _utf8"test";
-select database() = _latin1"test";
 
 select user() like "%@%";
 select user() like _utf8"%@%";
-select user() like _latin1"%@%";
-select charset(user());
 
 select version()>="3.23.29";
 select version()>=_utf8"3.23.29";
-select version()>=_latin1"3.23.29";
-select charset(version());
 explain extended select database(), user();
 
 create table t1 (version char(60)) select database(), user(), version() as 'version';
 show create table t1;
 drop table t1;
 
-select charset(charset(_utf8'a')), charset(collation(_utf8'a'));
-select collation(charset(_utf8'a')), collation(collation(_utf8'a'));
-create table t1 select charset(_utf8'a'), collation(_utf8'a');
-show create table t1;
-drop table t1;
-
 select TRUE,FALSE,NULL;
 
 #
 # Bug#12351: CONCAT with USER()/DATEBASE() and
 # a constant and a column gets strange results
 #
-create table t1 (c1 char(5)) character set=latin1;
+create table t1 (c1 char(5));
 insert into t1 values('row 1');
 insert into t1 values('row 2');
 insert into t1 values('row 3');
-select concat(user(), '--', c1) from t1;
+select concat(SUBSTRING(user(), 0, 4), '--', c1) from t1;
 select concat(database(), '--', c1) from t1;
 drop table t1;
 
 #
 # Bug#8291 Illegal collation mix with USER() function
 #
-create table t1 (a char(10)) character set latin1;
+create table t1 (a char(10));
 select * from t1 where a=version();
 select * from t1 where a=database();
 select * from t1 where a=user();

=== renamed file 'tests/suite/broken/t/func_test.test' => 'tests/t/func_test.test'
--- tests/suite/broken/t/func_test.test	2008-09-21 12:42:22 +0000
+++ tests/t/func_test.test	2008-12-16 07:48:05 +0000
@@ -11,21 +11,12 @@
 select "a" like "%%b","a" like "%%ab","ab" like "a\%", "ab" like "_", "ab" like "ab_", "abc" like "%_d", "abc" like "abc%d";
 select '?' like '|%', '?' like '|%' ESCAPE '|', '%' like '|%', '%' like '|%' ESCAPE '|', '%' like '%';
 select 'abc' like '%c','abcabc' like '%c',  "ab" like "", "ab" like "a", "ab" like "ab";
-select "Det hr r svenska" regexp "h[[:alpha:]]+r", "aba" regexp "^(a|b)*$";
-select "aba" regexp concat("^","a");
-select !0,NOT 0=1,!(0=0),1 AND 1,1 && 0,0 OR 1,1 || NULL, 1=1 or 1=1 and 1=0;
 select 2 between 1 and 3, "monty" between "max" and "my",2=2 and "monty" between "max" and "my" and 3=3;
 select 'b' between 'a' and 'c', 'B' between 'a' and 'c';
 select 2 in (3,2,5,9,5,1),"monty" in ("david","monty","allan"), 1.2 in (1.4,1.2,1.0);
 select -1.49 or -1.49,0.6 or 0.6;
-select 3 ^ 11, 1 ^ 1, 1 ^ 0, 1 ^ NULL, NULL ^ 1;
-explain extended select 3 ^ 11, 1 ^ 1, 1 ^ 0, 1 ^ NULL, NULL ^ 1;
-select 1 XOR 1, 1 XOR 0, 0 XOR 1, 0 XOR 0, NULL XOR 1, 1 XOR NULL, 0 XOR NULL;
-select 1 like 2 xor 2 like 1;
 select 10 % 7, 10 mod 7, 10 div 3;
 explain extended select 10 % 7, 10 mod 7, 10 div 3;
-select (1 << 64)-1, ((1 << 64)-1) DIV 1, ((1 << 64)-1) DIV 2;
-explain extended select (1 << 64)-1, ((1 << 64)-1) DIV 1, ((1 << 64)-1) DIV 2;
 
 create table t1 (a int);
 insert t1 values (1);
@@ -44,45 +35,11 @@
 select 1 and 0 or 2, 2 or 1 and 0;
 
 #
-# Coercibility
-#
-select _koi8r'a' = _koi8r'A';
-select _koi8r'a' = _koi8r'A' COLLATE koi8r_general_ci;
-explain extended select _koi8r'a' = _koi8r'A' COLLATE koi8r_general_ci;
-select _koi8r'a' = _koi8r'A' COLLATE koi8r_bin;
-select _koi8r'a' COLLATE koi8r_general_ci = _koi8r'A';
-select _koi8r'a' COLLATE koi8r_bin = _koi8r'A';
---error 1267
-select _koi8r'a' COLLATE koi8r_bin = _koi8r'A' COLLATE koi8r_general_ci;
---error 1267
-select _koi8r'a' = _latin1'A';
-
-select strcmp(_koi8r'a', _koi8r'A');
-select strcmp(_koi8r'a', _koi8r'A' COLLATE koi8r_general_ci);
-select strcmp(_koi8r'a', _koi8r'A' COLLATE koi8r_bin);
-select strcmp(_koi8r'a' COLLATE koi8r_general_ci, _koi8r'A');
-select strcmp(_koi8r'a' COLLATE koi8r_bin, _koi8r'A');
---error 1267
-select strcmp(_koi8r'a' COLLATE koi8r_general_ci, _koi8r'A' COLLATE koi8r_bin);
---error 1267
-select strcmp(_koi8r'a', _latin1'A');
-
-select _koi8r'a' LIKE _koi8r'A';
-select _koi8r'a' LIKE _koi8r'A' COLLATE koi8r_general_ci;
-select _koi8r'a' LIKE _koi8r'A' COLLATE koi8r_bin;
-select _koi8r'a' COLLATE koi8r_general_ci LIKE _koi8r'A';
-select _koi8r'a' COLLATE koi8r_bin LIKE _koi8r'A';
---error 1267
-select _koi8r'a' COLLATE koi8r_general_ci LIKE _koi8r'A' COLLATE koi8r_bin;
---error 1267
-select _koi8r'a' LIKE _latin1'A';
-
-#
 # Test for LEAST() BUG in LEFT JOIN
 #
-CREATE TABLE t1 (   faq_group_id int(11) NOT NULL default '0',   faq_id int(11) NOT NULL default '0',   title varchar(240) default NULL,   keywords text,   description longblob,   solution longblob,   status int(4) NOT NULL default '0',   access_id int(6) default NULL,   lang_id int(6) NOT NULL default '0',   created datetime NOT NULL default '0000-00-00 00:00:00',   updated datetime default NULL,   last_access datetime default NULL,   last_notify datetime default NULL,   solved_count int(11) NOT NULL default '0',   static_solved int(11) default NULL,   solved_1 int(11) default NULL,   solved_2 int(11) default NULL,   solved_3 int(11) default NULL,   solved_4 int(11) default NULL,   solved_5 int(11) default NULL,   expires datetime default NULL,   notes text,   assigned_to int(6) default NULL,   assigned_group int(6) default NULL,   last_edited_by int(6) default NULL,   orig_ref_no varchar(15) binary default NULL,   c$fundstate int(6) default NULL,   c$contributor int(6) default NULL,   UNIQUE KEY t1$faq_id (faq_id),   KEY t1$group_id$faq_id (faq_group_id,faq_id),   KEY t1$c$fundstate (c$fundstate) ) ENGINE=MyISAM;
+CREATE TABLE t1 (   faq_group_id int NOT NULL default '0',   faq_id int NOT NULL default '0',   title varchar(240) default NULL,   keywords text,   description longblob,   solution longblob,   status int NOT NULL default '0',   access_id int default NULL,   lang_id int NOT NULL default '0',   created datetime NOT NULL default '0000-00-00 00:00:00',   updated datetime default NULL,   last_access datetime default NULL,   last_notify datetime default NULL,   solved_count int NOT NULL default '0',   static_solved int default NULL,   solved_1 int default NULL,   solved_2 int default NULL,   solved_3 int default NULL,   solved_4 int default NULL,   solved_5 int default NULL,   expires datetime default NULL,   notes text,   assigned_to int default NULL,   assigned_group int default NULL,   last_edited_by int default NULL,   orig_ref_no varchar(15) binary default NULL,   c$fundstate int default NULL,   c$contributor int default NULL,   UNIQUE KEY t1$faq_id (faq_id),   KEY t1$group_id$faq_id (faq_group_id,faq_id),   KEY t1$c$fundstate (c$fundstate) ) ENGINE=MyISAM;
 INSERT INTO t1 VALUES (82,82,'How to use the DynaVox Usage Counts Feature','usages count, number, corner, white, box, button','<as-html>\r\n<table width=\"100%\" border=\"0\">\r\n  <tr>\r\n    <td width=\"3%\"></td>\r\n    <td width=\"97%\">\r\n       <h3><font face=\"Verdana, Arial, Helvetica, sans-serif\" color=\"#000000\">How \r\n        To</font><!-- #BeginEditable \"CS_troubleshoot_question\" --><font face=\"Verdana, Arial, Helvetica, sans-serif\" color=\"#000099\"><font color=\"#000000\">: \r\n        Display or Hide the Usage Counts to find out how many times each button is being selected. </font></font><!-- #EndEditable --></h3>\r\n    </td>\r\n  </tr>\r\n</table>','<as-html>\r\n <table width=\"100%\" border=\"0\">\r\n  <tr>\r\n    <td width=\"3%\"></td>\r\n    \r\n<td width=\"97%\"><!-- #BeginEditable \"CS_troubleshoot_answer\" --> \r\n      \r\n<p><font color=\"#000000\" face=\"Verdana, Arial, Helvetica, sans-serif\">1. Select \r\n  the <i>On/Setup</i> button to access the DynaVox Setup Menu.<br>\r\n  2. Select <b>Button Features.</b><br>\r\n  3. Below the <b>OK</b> button is the <b>Usage Counts</b> button.<br>\r\n  a. If it says \"Hidden\" then the Usage Counts will not be displayed.<br>\r\n  b. If it says \"Displayed\" then the Usage Counts will be shown.<br>\r\n        c. Select the <b>Usage Counts</b> Option Ring once and it will toggle \r\n        to the alternative option.<br>\r\n  4. Once the correct setting has been chosen, select <b>OK</b> to leave the <i>Button \r\n  Features</i> menu.<br>\r\n  5. Select <b>OK</b> out of the <i>Setup</i> menu and return to the communication \r\n  page.</font></p>\r\n      <p><font color=\"#000000\" face=\"Verdana, Arial, Helvetica, sans-serif\">For \r\n        further information on <i>Usage Counts,</i> see the <i>Button Features \r\n        Menu Entry</i> in the DynaVox/DynaMyte Reference Manual.</font></p>\r\n<!-- #EndEditable --></td>\r\n  </tr>\r\n</table>',4,1,1,'2001-11-16 16:43:34','2002-11-25 12:09:43','2003-07-24 01:04:48',NULL,11,NULL,0,0,0,0,0,NULL,NULL,NULL,NULL,11,NULL,NULL,NULL);
-CREATE TABLE t2 (  access_id int(6) NOT NULL default '0',   name varchar(20) binary default NULL,   rank int(6) NOT NULL default '0',   KEY t2$access_id (access_id) ) ENGINE=MyISAM;
+CREATE TABLE t2 (  access_id int NOT NULL default '0',   name varchar(20) binary default NULL,   rank int NOT NULL default '0',   KEY t2$access_id (access_id) ) ENGINE=MyISAM;
 INSERT INTO t2 VALUES (1,'Everyone',2),(2,'Help',3),(3,'Customer Support',1);
 SELECT f_acc.rank, a1.rank, a2.rank  FROM t1 LEFT JOIN t1 f1 ON  (f1.access_id=1 AND f1.faq_group_id = t1.faq_group_id) LEFT JOIN t2 a1 ON (a1.access_id =  f1.access_id) LEFT JOIN t1 f2 ON (f2.access_id=3 AND  f2.faq_group_id = t1.faq_group_id) LEFT  JOIN t2 a2 ON (a2.access_id = f2.access_id), t2 f_acc WHERE LEAST(a1.rank,a2.rank) =  f_acc.rank;
 DROP TABLE t1,t2;
@@ -154,9 +111,9 @@
 # Test for bug #12791: one of the arguments of LEAST/GREATEST is NULL
 #
 
-SELECT GREATEST(1,NULL) FROM DUAL;
-SELECT LEAST('xxx','aaa',NULL,'yyy') FROM DUAL;
-SELECT LEAST(1.1,1.2,NULL,1.0) FROM DUAL;
-SELECT GREATEST(1.5E+2,1.3E+2,NULL) FROM DUAL;
+SELECT GREATEST(1,NULL);
+SELECT LEAST('xxx','aaa',NULL,'yyy');
+SELECT LEAST(1.1,1.2,NULL,1.0);
+SELECT GREATEST(1.5E+2,1.3E+2,NULL);
 
 # End of 4.1 tests

=== renamed file 'tests/suite/broken/t/loaddata.test' => 'tests/t/loaddata.test'
--- tests/suite/broken/t/loaddata.test	2008-08-12 21:13:01 +0000
+++ tests/t/loaddata.test	2008-12-16 20:40:18 +0000
@@ -25,40 +25,12 @@
 load data infile '../std_data_ln/loaddata3.dat' into table t1 fields terminated by '' enclosed by '' ignore 1 lines;
 select * from t1;
 truncate table t1;
-load data infile '../std_data_ln/loaddata4.dat' into table t1 fields terminated by '' enclosed by '' lines terminated by '' ignore 1 lines;
 
 # The empty line last comes from the end line field in the file
 select * from t1;
 drop table t1;
 
 #
-# Bug #12053 LOAD DATA INFILE ignores NO_AUTO_VALUE_ON_ZERO setting
-#
-SET @OLD_SQL_MODE=@@SQL_MODE, @@SQL_MODE=NO_AUTO_VALUE_ON_ZERO;
-create table t1(id integer not null auto_increment primary key);
-insert into t1 values(0);
-disable_query_log;
-eval SELECT * INTO OUTFILE '$MYSQLTEST_VARDIR/tmp/t1' from t1;
-delete from t1;
-eval load data infile '$MYSQLTEST_VARDIR/tmp/t1' into table t1;
-enable_query_log;
-select * from t1;
-remove_file $MYSQLTEST_VARDIR/tmp/t1;
-
-disable_query_log;
-eval SELECT * INTO OUTFILE '$MYSQLTEST_VARDIR/tmp/t1'
-FIELDS TERMINATED BY '' OPTIONALLY ENCLOSED BY '' LINES TERMINATED BY '\r\n'
-FROM t1;
-delete from t1;
-eval load data infile '$MYSQLTEST_VARDIR/tmp/t1' into table t1
-FIELDS TERMINATED BY '' OPTIONALLY ENCLOSED BY '' LINES TERMINATED BY '\r\n';
-enable_query_log;
-select * from t1;
-remove_file $MYSQLTEST_VARDIR/tmp/t1;
-SET @@SQL_MODE=@OLD_SQL_MODE;
-drop table t1;
-
-#
 # Bug #11203: LOAD DATA does not accept same characters for ESCAPED and
 # ENCLOSED
 #
@@ -126,10 +98,6 @@
 select * from t1;
 select @a, @b;
 truncate table t1;
-# Reading of all columns with set
-load data infile '../std_data_ln/rpl_loaddata.dat' into table t1 set c=b;
-select * from t1;
-truncate table t1;
 # now going to test fixed field-row file format
 load data infile '../std_data_ln/loaddata5.dat' into table t1 fields terminated by '' enclosed by '' (a, b) set c="Wow";
 select * from t1;
@@ -175,23 +143,6 @@
 drop table t1, t2;
 
 #
-# Bug#27586: Wrong autoinc value assigned by LOAD DATA in the
-#            NO_AUTO_VALUE_ON_ZERO mode
-#
-create table t1(f1 int);
-insert into t1 values(1),(null);
-create table t2(f2 int auto_increment primary key);
-disable_query_log;
-eval select * into outfile '$MYSQLTEST_VARDIR/tmp/t1' from t1;
-SET @OLD_SQL_MODE=@@SQL_MODE, @@SQL_MODE=NO_AUTO_VALUE_ON_ZERO;
-eval load data infile '$MYSQLTEST_VARDIR/tmp/t1' into table t2;
-enable_query_log;
-select * from t2;
-remove_file $MYSQLTEST_VARDIR/tmp/t1;
-SET @@SQL_MODE=@OLD_SQL_MODE;
-drop table t1,t2;
-
-#
 # Bug#27670: LOAD DATA does not set CURRENT_TIMESTAMP default value for a
 #            TIMESTAMP field when no value has been provided.
 #
@@ -200,6 +151,7 @@
 insert into t2 values(1),(2);
 disable_query_log;
 eval select * into outfile '$MYSQLTEST_VARDIR/tmp/t2' from t2;
+--error 1261
 eval load data infile '$MYSQLTEST_VARDIR/tmp/t2' into table t1;
 enable_query_log;
 select f1 from t1 where f2 <> '0000-00-00 00:00:00' order by f1;
@@ -209,6 +161,7 @@
 eval SELECT * INTO OUTFILE '$MYSQLTEST_VARDIR/tmp/t2'
 FIELDS TERMINATED BY '' OPTIONALLY ENCLOSED BY '' LINES TERMINATED BY '\r\n'
 FROM t2;
+--error 1261
 eval load data infile '$MYSQLTEST_VARDIR/tmp/t2' into table t1
 FIELDS TERMINATED BY '' OPTIONALLY ENCLOSED BY '' LINES TERMINATED BY '\r\n';
 enable_query_log;
@@ -228,7 +181,7 @@
 
 --replace_result $MYSQLTEST_VARDIR MYSQLTEST_VARDIR
 eval SELECT * INTO OUTFILE '$MYSQLTEST_VARDIR/tmp/t1' FIELDS ENCLOSED BY '-' FROM t1;
-cat_file $MYSQLTEST_VARDIR/tmp/t1;
+#cat_file $MYSQLTEST_VARDIR/tmp/t1;
 echo EOF;
 
 TRUNCATE t1;
@@ -239,111 +192,3 @@
 
 remove_file $MYSQLTEST_VARDIR/tmp/t1;
 DROP TABLE t1;
-
-###########################################################################
-
---echo
---echo # --
---echo # -- Bug#35469: server crash with LOAD DATA INFILE to a VIEW.
---echo # --
-
---echo
---disable_warnings
-DROP TABLE IF EXISTS t1;
-DROP VIEW IF EXISTS v1;
-DROP VIEW IF EXISTS v2;
-DROP VIEW IF EXISTS v3;
---enable_warnings
-
---echo
-CREATE TABLE t1(c1 INT, c2 VARCHAR(255));
-
---echo
-CREATE VIEW v1 AS SELECT * FROM t1;
-CREATE VIEW v2 AS SELECT 1 + 2 AS c0, c1, c2 FROM t1;
-CREATE VIEW v3 AS SELECT 1 AS d1, 2 AS d2;
-
---echo
-LOAD DATA INFILE '../std_data_ln/bug35469.dat' INTO TABLE v1
-  FIELDS ESCAPED BY '\\'
-  TERMINATED BY ','
-  ENCLOSED BY '"'
-  LINES TERMINATED BY '\n' (c1, c2);
-
---echo
-SELECT * FROM t1;
-
---echo
-SELECT * FROM v1;
-
---echo
-DELETE FROM t1;
-
---echo
-LOAD DATA INFILE '../std_data_ln/bug35469.dat' INTO TABLE v2
-  FIELDS ESCAPED BY '\\'
-  TERMINATED BY ','
-  ENCLOSED BY '"'
-  LINES TERMINATED BY '\n' (c1, c2);
-
---echo
-SELECT * FROM t1;
-
---echo
-SELECT * FROM v2;
-
---echo
-DELETE FROM t1;
-
---echo
---error ER_LOAD_DATA_INVALID_COLUMN
-LOAD DATA INFILE '../std_data_ln/bug35469.dat' INTO TABLE v2
-  FIELDS ESCAPED BY '\\'
-  TERMINATED BY ','
-  ENCLOSED BY '"'
-  LINES TERMINATED BY '\n' (c0, c2);
-
---echo
---error ER_NON_UPDATABLE_TABLE
-LOAD DATA INFILE '../std_data_ln/bug35469.dat' INTO TABLE v3
-  FIELDS ESCAPED BY '\\'
-  TERMINATED BY ','
-  ENCLOSED BY '"'
-  LINES TERMINATED BY '\n' (d1, d2);
-
---echo
-DROP TABLE t1;
-DROP VIEW v1;
-DROP VIEW v2;
-DROP VIEW v3;
-
---echo
---echo # -- End of Bug#35469.
-
-###########################################################################
-
-# End of 5.0 tests
-
-
-#
-# Bug#12448 LOAD DATA / SELECT INTO OUTFILE
-# doesn't work with multibyte path name
-#
-CREATE TABLE t1 (a int);
-INSERT INTO t1 VALUES (1);
-SET NAMES latin1;
-SET character_set_filesystem=filename;
-select @@character_set_filesystem;
-SELECT * INTO OUTFILE 't-1' FROM t1;
-DELETE FROM t1;
-LOAD DATA INFILE 't-1' INTO TABLE t1;
-SELECT * FROM t1;
-DELETE FROM t1;
-SET character_set_filesystem=latin1;
-select @@character_set_filesystem;
-LOAD DATA INFILE 't@002d1' INTO TABLE t1;
-SELECT * FROM t1;
-DROP TABLE t1;
-remove_file $MYSQLTEST_VARDIR/master-data/test/t@002d1;
-SET character_set_filesystem=default;
-select @@character_set_filesystem;

=== renamed file 'tests/suite/broken/t/loaddata_autocom_innodb.test' => 'tests/t/loaddata_autocom_innodb.test'
=== renamed file 'tests/suite/broken/t/lowercase_fs_off.test' => 'tests/t/lowercase_fs_off.test'
--- tests/suite/broken/t/lowercase_fs_off.test	2008-06-30 06:46:40 +0000
+++ tests/t/lowercase_fs_off.test	2008-12-16 17:34:59 +0000
@@ -2,26 +2,22 @@
 # Specific tests for case sensitive file systems
 # i.e. lower_case_filesystem=OFF
 #
--- source include/have_case_sensitive_file_system.inc
 
 connect (master,localhost,root,,);
 connection master;
 create database d1;
-grant all on d1.* to 'sample'@'localhost' identified by 'password';
-flush privileges;
 
 connect (sample,localhost,sample,password,d1);
 connection sample;
 select database();
---error 1044
 create database d2;
---error 1044
+--error 1007
 create database D1;
+drop database d2;
 disconnect sample;
 
 connection master;
-drop user 'sample'@'localhost';
-drop database if exists d1;
+drop database d1;
 disconnect master;
 connection default;
 

